10 DIM M(10), C(10), X(10), Q(10), Q1(12000)
20 KEY OFF
30 SCREEN 1, 1
40 WIDTH 80
50 N = 0
60 PRINT : PRINT
70 PRINT
80 PRINT "FREUNDLICH AND/OR LANGMUIR EQUATIONS FOR ISOTHERMAL ADSORPTION"; ""
90 REM PROGRAM BY DONALD POLMANN  FOR UNIT OPERATIONS COURSE 32.405
91 REM CHECKED BY R. MASAK, H.BUNGAY
100 PRINT
101 PRINT
102 PRINT "YOU MAY USE A DEMONSTRATION OR YOUR"
103 PRINT "OWN DATA TO SEE HOW THEORY FITS DATA."
104 PRINT
105 PRINT "AFTER RUNNING THE PROGRAM,"
106 PRINT "CHANGE DATA POINTS A LITTLE TO"
107 PRINT "OBSERVE THE CHANGE IN THE LINES."
110 INPUT "TYPE N FOR NO DEMO "; A$
120 IF A$ = "N" THEN 190
130 CO = 19
140 T = 6
150 FOR I = 1 TO 6
160 READ M(I), C(I)
170 NEXT
180 GOTO 290
190 INPUT "NAME OF ADSORPTION MATERIAL"; AD$
200 INPUT "NAME OF CONTAMINANT MATERIAL"; CRUD$
210 INPUT "NUMBER OF TEST CASES "; T
220 INPUT "CONTROL VALUE IN MICROGRAMS/LITER "; CO
230 PRINT
240 FOR I = 1 TO T
250 PRINT
260 PRINT "MILLIGRAMS OF "; AD$; "    --     "; "TEST CASE"; I; : INPUT M(I)
270 PRINT "MICROGRAMS/LITER "; CRUD$; " REMAINING "; : INPUT C(I)
280 NEXT I
290 PRINT : PRINT
300 PRINT "     DATA FOR GRAPH": PRINT
310 PRINT TAB(1); "(M)"; TAB(16); "(C)"; TAB(29); "(X)"
320 PRINT "MILLI"; TAB(11); "CONCENTRATION"; TAB(28); "AMOUNT"; TAB(43); "X/M"
330 PRINT "GRAMS"; TAB(13); "REMAINING"; TAB(27); "ADSORBED"; TAB(43); "MG/G"
340 PRINT "-----"; TAB(11); "------------"; TAB(27); "--------"; TAB(43);
350 PRINT "-----"
360 FOR I = 1 TO T
370 X(I) = CO - C(I)
380 Q(I) = X(I) / M(I)
390 PRINT M(I), C(I), X(I), Q(I)
400 NEXT I
410 PRINT
420 PRINT "CONTROL VALUE USED WAS "; CO; "Mg/LITER"
430 PRINT : PRINT "* * * * * * * * * * * * * * * * * * * * * * * * ": PRINT
440 INPUT A$
450 SCREEN 1, 1
460 CLS
470 LOCATE 24, 11
480 PRINT "CONCENTRATION"
490 LOCATE 13, 3
500 PRINT "X/M"
510 LINE (20, 20)-(20, 170)
520 LINE -(240, 170)
530 FOR I = 1 TO T
540 X = 20 + (10 * C(I))
550 Y = 170 - (10 * Q(I))
560 CIRCLE (X, Y), 4
570 NEXT
580 GET (15, 20)-(200, 199), Q1
590 GOSUB 1690
600 PRINT
610 PRINT "        FREUNDLICH CALCULATIONS": PRINT
620 PRINT TAB(1); "C"; TAB(8); "LOG C"; TAB(20); "LOG X"; TAB(29); "LOG M"; TAB(37);
630 PRINT "LOG(X/M)"; TAB(46); "(LOG C)**2"; TAB(58); "LOGC LOGX/M"
640 PRINT TAB(46); "----------"; TAB(58); "----------"
650 PRINT
660 GOTO 720
670 PRINT TAB(1); "C"; TAB(9); "X"; TAB(21); "M"; TAB(30); "X/M"; TAB(39);
680 PRINT "C**2"; TAB(49); "C(X/M0"
690 PRINT "---"; TAB(8); "----"; TAB(20); "-----"; TAB(29); "-----"; TAB(38);
700 PRINT "-----"; TAB(48); "------"
710 GOTO 1160
720 FOR I = 1 TO T
730 C1 = LOG(C(I)) / LOG(10)
740 C2 = C1 * C1
750 IF X(I) = 0 THEN C3 = 0: GOTO 600
760 C3 = LOG(X(I)) / LOG(10)
770 C4 = LOG(M(I)) / LOG(10)
780 C5 = C3 - C4
790 C6 = C1 * C5
800 A1 = A1 + C1
810 A2 = A2 + C5
820 A3 = A3 + C2
830 A4 = A4 + C6
840 PRINT C(I); TAB(6); C1; TAB(18); C3; TAB(27); C4; TAB(37); C5; TAB(46); C2;
850 PRINT TAB(58); C6
860 NEXT I
870 PRINT
880 PRINT "LOG C SUMMATION = "; A1
890 PRINT "LOG(X/M) SUMMATION = "; A2
900 PRINT "(LOG C)**2 SUMMATION = "; A3
910 PRINT "(LOG C)(LOG X/M) SUMMATION = "; A4
920 PRINT
930 D = T * A3 - A1 * A1
940 D1 = A2 * A3 - A4 * A1
950 D2 = T * A4 - A2 * A1
960 S = D2 / D
970 I = D1 / D
980 S = ABS(S)
1000 I = 10 ^ I
1010 PRINT "q = X/M = "; I; " C^"; S
1020 PRINT
1030 V = I * (CO ^ S)
1040 PRINT "(X/M) AT CO = "; V; " MILLIGRAM/GRAM"
1050 PRINT "* * * * * * * * * * * * * * * * * * * * * * * * * * * * "
1060 GOSUB 1770
1070 FOR N = 0 TO 20 STEP .2
1080 X = 20 + (10 * N)
1090 Y = 170 - (10 * I * N ^ S)
1100 PSET (X, Y), 1
1110 NEXT
1120 GOSUB 1690
1130 PRINT
1140 PRINT "      LANGMUIR CALCULATIONS": PRINT
1150 GOTO 670
1160 A1 = 0
1170 A2 = 0
1180 A3 = 0
1190 A4 = 0
1200 A5 = 0
1210 A6 = 0
1220 FOR I = 1 TO T
1230 C1 = 1 / C(I)
1240 C2 = C1 * C1
1250 C3 = X(I)
1260 C4 = M(I)
1270 C5 = C4 / C3
1280 C6 = C1 * C5
1290 A8 = A8 + C(I)
1300 A1 = A1 + C1
1310 A7 = A7 + 1 / C5
1320 A2 = A2 + C5
1330 A6 = A6 + C(I) / C5
1340 A3 = A3 + C2
1350 A5 = A5 + C(I) * C(I)
1360 A4 = A4 + C6
1370 PRINT 1 / C1; C3; C4; 1 / C5; 1 / C2; 1 / C6
1380 NEXT I
1390 PRINT : PRINT
1400 PRINT "C SUMMATION        "; A8
1410 PRINT "1/C SUMMATION      "; A1
1430 PRINT "X/M SUMMATION      "; A2
1440 PRINT "C SQUARE SUMMATION "; A5
1450 PRINT "SQUARE OF 1/C SUMM."; A3
1460 PRINT "C*X/M SUMMATION    "; A6
1470 PRINT "1/(C*X/M) SUMM.    "; A4
1480 PRINT
1490 D = T * A3 - A1 * A1
1500 D1 = A2 * A3 - A4 * A1
1510 D2 = T * A4 - A2 * A1
1520 S = D2 / D
1530 I = D1 / D
1540 S = ABS(S)
1550 PRINT "q = X/M ="; 1 / I; "* C/("; S / I; "+ C)"
1570 PRINT
1580 Z = I + S * (1 / CO)
1590 V2 = 1 / Z
1600 PRINT "X/M AT CO = "; V2; " MILLIGRAMS/G."
1610 GOSUB 1770
1620 FOR N = .1 TO 20 STEP .1
1630 X = 20 + (10 * N)
1640 Z = I + S / N
1650 Y = 170 - (10 / Z)
1670 PSET (X, Y), 2
1675 NEXT
1679 STOP
1680 DATA 1,11.3,2,6.3,5,2.7,10,1.4,25,.37,50,.26,100,0.08,1,1,1
1690 REM FIX SCREEN NARROW
1700 GET (15, 20)-(199, 199), Q1
1710 LOCATE 1, 1
1720 INPUT A$
1730 SCREEN 0, 0
1740 WIDTH 80
1750 CLS
1760 RETURN
1770 REM FIX SCREEN FOR GRAPHICS
1780 INPUT A$
1790 SCREEN 1, 1
1800 PUT (15, 20), Q1
1810 RETURN

