10 REM  MULTISTAGE CONTINUOUS CULTURE
15 REM CAROLE HEATH 12-5-85  READ'S by H.B. 1991
17 REM CONVERSION OF HARRY LAM'S FORTRAN
20 DIM CF(4),P(4),R(4),S(4),SE(5),X(4),XE(5)
24 KEY OFF
28 SCREEN 1,1
30 CLS
35 WIDTH 80
40 PRINT : PRINT
50 PRINT " Research and development of multistage"
60 PRINT "continuous culture are hard because"
70 PRINT "of the large number of variables"
80 PRINT "involved. Each stage will have at least"
90 PRINT "one inlet and one outlet and may have"
100 PRINT "recycle.  Because of the large capital"
110 PRINT "expense necessary to study multistage"
120 PRINT "culture, computer simulations are a"
130 PRINT "fast and easy way to investigate the"
140 PRINT "feasibility of the process." : PRINT
150 INPUT"Type Return to continue.",W : CLS
160 LINE (60,20)-(100,60),,B : LINE (140,20)-(180,60),,B
170 LINE (220,20)-(260,60),,B : LINE (30,40)-(60,40)
180 LINE (100,40)-(115,40) : LINE (125,40)-(140,40)
190 LINE (180,40)-(195,40) : LINE (205,40)-(220,40)
200 LINE (260,40)-(275,40) : LINE (285,40)-(300,40)
210 LINE (120,45)-(120,80) : LINE -(80,80) : LINE -(80,60)
220 LINE (200,45)-(200,80) : LINE -(160,80) : LINE -(160,60)
230 LINE (280,45)-(280,80) : LINE -(240,80) : LINE -(240,60)
240 PI=3.141593
250 CIRCLE (120,40),5
260 CIRCLE (200,40),5
270 CIRCLE (280,40),5
280 LOCATE 6,11 : PRINT "1"
290 LOCATE 6,21 : PRINT "2"
300 LOCATE 6,31 : PRINT "3"
310 LOCATE 5,1 : PRINT "Fresh" : LOCATE 6,1 : PRINT "Feed"
320 LOCATE 4,36 : PRINT " Exit"
330 LOCATE 10,10 : PRINT "Recycle"
340 LOCATE 10,20 : PRINT "Recycle"
350 LOCATE 10,30 : PRINT "Recycle"
360 LOCATE 13,1 : PRINT "  This is a multistage continuous"
370 PRINT "culture system with three stages."
380 PRINT "Input to the system occurs at stage 1."
390 PRINT "The feed stream consists of cells and"
400 PRINT "fresh substrate.  Some of the output"
410 PRINT "from a given stage may be recycled back"
420 PRINT "into the same reactor after the cells"
430 PRINT "are concentrated.  The rest of the out-"
440 PRINT "put enters the net stage as input."
450 PRINT "The exit stream from the system is the"
460 PRINT "output (minus recycle) from the last"
470 PRINT "stage." 
480 GOSUB 5000
490 PRINT : PRINT "DESCRIPTION OF THE PROGRAM" : PRINT
500 PRINT "  The equations used to develop this"
510 PRINT "program are adapted from pages 48-50 in"
520 PRINT "'Computer Games and Simulation for"
530 PRINT "Biochemical Engineering', by H.R. Bun-"
540 PRINT "gay (Wiley, 1985).  The equations are"
550 PRINT "fundamental rate equations, solved at"
560 PRINT "steady state.  Cell growth and the"
570 PRINT "resulting substrate consumption is"
580 PRINT "described by the Monod equation.  Each"
590 PRINT "reactor is assumed to be well mixed."
600 PRINT "A term for substrate consumption as"
610 PRINT "maintenance energy is included.  For"
620 PRINT "ease in plotting, the dilution rate"
630 PRINT "does not include recycle flow."
640 GOSUB 5000
650 PRINT "  A list of variables and their definitions follows:"
660 PRINT
670 PRINT "   XO = Conc. of cells in fresh feed stream to the system"
680 PRINT "   SO = Conc. of substrate in fresh"
690 PRINT "        feed stream to the system"
700 PRINT "   KS = Substrate constant from Monod equation"
710 PRINT "   MM = Maximum reaction rate from Monod equation"
720 PRINT "    Y = Yield coefficient"
730 PRINT "   EM = Maintenance energy"
740 PRINT " R(I) = Recycle ratio for the Ith reactor"
750 PRINT "CF(I) = Concentration factor of cells "
760 PRINT "        in recycle stream for the Ith reactor"
770 GOSUB 5000
780 PRINT : PRINT "   This simulation can accommodate from"
790 PRINT "1 to 4 stages.  This limitation is"
800 PRINT "purely a consequence of screen space."
810 PRINT : PRINT
840 PRINT "See the DATA commands at the end of the"
842 PRINT"program for specs for each stage."
844 PRINT
846 PRINT"Use them as quides as you substitute your
848 PRINT"specs as DATA commands.  These are the defaults;"
850 READ N
859 PRINT"Number of stages: ";N
860 IF N>4 THEN INPUT"Too many stages. Choose a number less that 5:",N
865 READ XO
870 PRINT"Initial cell concentration to stage 1: ",XO
880 IF XO>10 THEN INPUT"Too high.  Choose a value less than 10:",XO
885 READ SO
890 PRINT"Initial substrate conc. added to stage 1: ",SO
900 IF SO>20 THEN INPUT"Too high.  Choose a value less than 20:",SO
905 READ KS
910 PRINT"Substrate constant in monod equation    (Ks): ",KS
920 IF KS>1 THEN INPUT"Too high.  Choose a value less than 1:",KS
930 IF KS<.0001 THEN INPUT"Too low.  Choose a value greater than 0.0001:",KS
935 READ MUM
940 PRINT"Maximum growth rate: ",MUM
950 IF MUM>5 THEN INPUT"Too high.  Choose a value less than 5:",MUM
960 IF MUM<.001 THEN INPUT"Too low. Choose a value greater than 0.001:",MUM
965 READ Y
970 PRINT"Yield constant: ",Y
980 IF Y>1 THEN INPUT"Too high. Choose a value less than 1:",Y
990 IF Y<.1 THEN INPUT"Too low. Choose a value greater than    0.1:",Y
995 READ EM
1000 PRINT"Maintenance energy: ",EM
1010 IF EM>.2 THEN INPUT"Too high.  Choose a value less than 0.2:",EM
1020 GOSUB 5000
1030 PRINT "Parameter values for individual stages."
1040 FOR J=1 TO N
1050     PRINT
1060     PRINT " Reading specs for stage: ";J
1070     PRINT
1075 READ R(J)
1080 PRINT"Recycle ratio: ",R(J)
1090     IF R(J)=0 THEN GOTO 1130
1095 READ CF(J)
1100 PRINT"Cell concentration factor in recycle: ",CF(J)
1110     GOTO 1140
1120 PRINT"Cell concentration factor in recycle: ",CF(J)
1130     CF(J)=0!
1140     IF R(J)*CF(J)<1+R(J) THEN GOTO 1170
1150     INPUT"Too high.  Choose a smaller value:",CF(J)
1160     GOTO 1140
1170     NEXT J
1175 INPUT A$
1180 CLS
1200 D=.0001
1210 XE(1)=XO
1220 SE(1)=SO
1230 IF SE(1)>10! THEN YF=2! ELSE YF=4!
1240 IF YF=2! THEN YT=20! ELSE YT=10!
1250 LOCATE 4,1 : PRINT YT
1260 LINE (30,20)-(30,60)
1270 LINE -(230,60)
1280 LOCATE 2,20 : PRINT "Stage 1"
1290 LOCATE 5,1 : PRINT "S"
1300 LOCATE 6,1 : PRINT "X"
1310 LOCATE 7,1 : PRINT "P"
1320 LOCATE 9,16 : PRINT "D"
1330 IF N=1 THEN GOTO 1500
1340 LINE (260,20)-(260,60)
1360 LOCATE 2,50: PRINT "Stage 2"
1370 LOCATE 9,46 : PRINT "D"
1380 IF N=2 THEN GOTO 1500
1390 LOCATE 11,1 : PRINT YT
1400 LINE (30,80)-(30,120)
1410 LINE -(230,120)
1420 LOCATE 10,20 : PRINT "Stage 3"
1430 LOCATE 12,1 : PRINT "S"
1440 LOCATE 13,1 : PRINT "X"
1450 LOCATE 14,1 : PRINT "P"
1460 IF N=3 THEN GOTO 1500
1470 LINE (260,80)-(260,120)
1480 LINE -(460,120)
1490 LOCATE 10,50 : PRINT "Stage 4"
1500 LOCATE 19,1 : PRINT YT
1510 LINE (30,140)-(30,180)
1520 LINE -(490,180)
1530 LOCATE 17,26 : PRINT "Overall"
1540 LOCATE 20,1 : PRINT "S"
1550 LOCATE 21,1 : PRINT "X"
1560 LOCATE 22,1 : PRINT "P"
1570 Z11=30 : Z12=60 : Z13=60 : Z14=60
1580 Z21=260 : Z22=60 : Z23=60 : Z24=60
1590 Z31=30 : Z32=120 : Z33=120 : Z34=120
1600 Z41=260 : Z42=120 : Z43=120 : Z44=120
1610 Z51=30 : Z52=180 : Z53=180 : Z54=180
1620 REM
1630 FOR I=1 TO 100
1640     FOR J=1 TO N
1650           A=Y*(D*(1+R(J))-R(J)*CF(J)*D-MUM)
1660           B1=Y*SE(J)*(R(J)*CF(J)*D+MUM-D*(1+R(J)))
1670          B2=Y*D*KS*(1+R(J)*(1-CF(J)))
1680           B=B1+B2+XE(J)*(MUM+EM*Y)
1690           C=Y*KS*(XE(J)*EM+SE(J)*D*(R(J)*CF(J)-(1+R(J))))
1700           F=B^2-4!*A*C : IF F<0! THEN GOTO 1870
1710           Q1=(-B+SQR(F))/(2*A)
1720           Q2=(-B-SQR(F))/(2*A)
1730           IF Q1>=0! THEN GOTO 1770
1740           IF Q2>=0! THEN GOTO 1760
1750           S(J)=0! : GOTO 1780
1760           IF Q2>YT THEN S(J)=YT ELSE S(J)=Q2 : GOTO 1780
1770           IF Q1>YT THEN S(J)=YT ELSE S(J)=Q1
1780           MU=MUM*S(J)/(KS+S(J))
1790           X(J)=D*(SE(J)-S(J))/(EM+MU/Y)
1800           IF X(J)<0! THEN X(J)=0!
1810           K=J+1
1820           SE(K)=S(J)
1830           XE(K)=(1!+R(J)*(1-CF(J)))*X(J)
1840           P(J)=D*XE(K)
1850           NEXT J
1860 GOTO 1930
1870 PRINT : PRINT
1880 PRINT "Impossible solution."
1890 PRINT "Would you like to start over?"
1900 PRINT "If so, type a positive number."
1910 INPUT W : IF W<0 GOTO 2900
1920 CLS : SCREEN 1,1 : GOTO 850
1930     REM   *** OVERALL***
1940     ST=0
1950     XT=0
1960     PT=0
1970     FOR J=1 TO N
1980         XT=XT+X(J)
1990         ST=ST+S(J)
2000         PT=PT+P(J)
2010         NEXT J
2020     XT=XT/N
2030     ST=ST/N
2040     DT=D/N
2050     DAX1=30+40*D
2060     X1=60-YF*X(1) : S1=60-YF*S(1) : P1=60-YF*P(1)/5!
2070     IF X1>60 THEN X1=60 : IF S1>60 THEN S1=60
2080     IF P1>60 THEN P1=60
2090     LINE (Z11,Z12)-(DAX1,X1) : LINE (Z11,Z13)-(DAX1,S1)
2100     LINE (Z11,Z14)-(DAX1,P1)
2110     Z11=DAX1 : Z12=X1: Z13=S1 : Z14=P1
2120     IF N=1 THEN GOTO 2360
2130     DAX2=260+40*D
2140     X2=60-YF*X(2) : S2=60-YF*S(2) : P2=60-YF*P(2)/5!
2150     IF X2>60 THEN X2=60 : IF S2>60 THEN S2=60
2160     IF P2>60 THEN P2=60
2170     LINE (Z21,Z22)-(DAX2,X2) : LINE (Z21,Z23)-(DAX2,S2)
2180     LINE (Z21,Z24)-(DAX2,P2)
2190     Z21=DAX2 : Z22=X2 : Z23=S2 : Z24=P2
2200     IF N=2 THEN GOTO 2360
2210     DAX3=30+40*D
2220     X3=120-YF*X(3) : S3=120-YF*S(3) : P3=120-YF*P(3)/5!
2230     IF X3>120 THEN X3=120 : IF S3120 THEN S3=120
2240     IF P3>120 THEN P3=120
2250     LINE (Z31,Z32)-(DAX3,X3) : LINE (Z31,Z33)-(DAX3,S3)
2260     LINE (Z31,Z34)-(DAX3,P3)
2270     Z31=DAX3 : Z32=X3 : Z33=S3 : Z34=P3
2280     IF N=3 THEN GOTO 2360
2290     DAX4=260+40*D
2300     X4=120-YF*X(4) : S4=120-YF*S(4) : P4=120-YF*P(4)/5!
2310     IF X4>120 THEN X4=120 : IF S4>120 THEN S4=120
2320     IF P4>120 THEN P4=120
2330     LINE (Z41,Z42)-(DAX4,X4) : LINE (Z41,Z43)-(DAX4,S4)
2340     LINE (Z41,Z44)-(DAX4,P4)
2350     Z41=DAX4 : Z42=X4 : Z43=S4 : Z44=P4
2360     IF N=1 THEN DAXT=30+80*DT
2370     IF N=2 THEN DAXT=30+160*DT
2380     IF N=3 THEN DAXT=30+240*DT
2390     IF N=4 THEN DAXT=30+320*DT
2400     XTP=180-YF*XT : STP=180-YF*ST : PTP=180-YF*PT/5!
2410     IF XTP>180 THEN XTP=180 : IF STP>180 THEN STP=180
2420     IF PTP>180 THEN PTP=180
2430     LINE (Z51,Z52)-(DAXT,XTP)
2440     LINE (Z51,Z53)-(DAXT,STP)
2450     LINE (Z51,Z54)-(DAXT,PTP)
2460     Z51=DAXT : Z52=XTP : Z53=STP : Z54=PTP
2470     D=D+.05
2480    NEXT I
2490 REM   *** PUT NUMBERS ON AXES ***
2500 LOCATE 8,3 : PRINT "0"
2510 LOCATE 9,4 : PRINT "0"
2520 LOCATE 9,29 : PRINT "5"
2530 IF N=1 THEN GOTO 2580
2540 LOCATE 9,33 : PRINT "0"
2550 LOCATE 9,58 : PRINT "5"
2560 IF N=2 THEN GOTO 2580
2570 LOCATE 16,3 : PRINT "0"
2580 LOCATE 23,3 : PRINT "0"
2590 IF N=1 THEN ENDD=5!
2600 IF N=2 THEN ENDD=2.5
2610 IF N=3 THEN ENDD=1.67
2620 IF N=4 THEN ENDD=1.25
2630  REM   *** PRINT PARAMETERS ***
2640 LOCATE 2,65 : PRINT " Overall"
2650 LOCATE 3,65 : PRINT "Parameters"
2660 LOCATE 4,65 : PRINT "----------"
2670 LOCATE 5,65 : PRINT "XO=";XO
2680 LOCATE 6,65 : PRINT "SO=";SO
2690 LOCATE 7,65 : PRINT "KS=";KS
2700 LOCATE 8,65 : PRINT "MM=";MUM
2710 LOCATE 9,65 : PRINT "Y=";Y
2720 LOCATE 10,65 : PRINT "EM=";EM
2730 LOCATE 13,65 : PRINT "  Stage"
2740 LOCATE 14,65 : PRINT "Parameters"
2750 LOCATE 15,65 : PRINT "----------"
2760 K=16
2770 FOR I=1 TO N
2780     LOCATE K,65 : PRINT "R(";I;")=";R(I)
2790     K=K+1
2800     LOCATE K,65 : PRINT"CF(";I;")=";CF(I)
2810     K=K+1
2820     NEXT I
2830 LOCATE 24,4 : PRINT "0                         D                     ";ENDD
2840 LOCATE 23,65 : INPUT K
2850 INPUT"Type a negative number to stop:",K
2860 IF K<0 THEN GOTO 2900
2870 CLS
2880 SCREEN 1,1
2890 GOTO 850
2900 CLS
2910 PRINT "Further considerations for multistage continuous culture"
2920 PRINT
2930 PRINT "  1.  Addition of fresh feed to some or all of the stages
2940 PRINT "  2.  Variation of growth parameters in individual"
2950 PRINT "      stages due to population differences"
2960 PRINT "  3.  Determination of growth parameters as functions of"
2970 PRINT "      other variables such as substrate concentration"
2980 PRINT : PRINT
2990 PRINT "End of program."
3000 STOP
4000 DATA 4,2,10,.5,.5,.45,.001
4010 DATA .2,.2,.2,.2,.2,.2,.2,.2,.2
5000 LOCATE 23,1
5010 INPUT"Hit RETURN (ENTER) ";A$
5020 CLS
5030 RETURN
