10 CLS
20 KEY OFF:WIDTH 80
40 PRINT "          CHROMATOGRAPHY"
50 PRINT "          --------------"
60 LOCATE 4,18:PRINT "BY"
90 PRINT "GUHAN SUBRAMANIAN AND MICHAEL PHILLIPS"
100 LOCATE 9,1:PRINT "           A Tutorial on "
140 PRINT " Chromatographic Separation Processes"
150 PRINT:PRINT:PRINT              "May 1988"
180 GOSUB 7550
240 PRINT:PRINT:PRINT "         INTRODUCTION"
270 PRINT "         ------------"
280 PRINT:PRINT:PRINT "Chromatography is a technique for "
310 PRINT "separating chemical substances on "
320 PRINT "the basis of relative affinity"
330 PRINT "for a stationary phase from a moving "
340 PRINT "liquid or gaseous stream."
350 GOSUB 7550
410 PRINT
420 PRINT "Chromatography is carried out with "
430 PRINT "a gas or liquid (the mobile
440 PRINT "phase) flowing over or through an"
450 PRINT "adsorbent material (the stationary"
460 PRINT "phase) of high surface area. The"
470 PRINT "components of the mixture to be"
480 PRINT "separated are introduced into the"
490 PRINT "system and allowed to migrate in the"
500 PRINT "direction of flow at different rates"
510 PRINT "that are determined by their relative"
520 PRINT "distributions between the mobile and"
530 PRINT "stationary phases."
540 GOSUB 7550
570 PRINT:PRINT:PRINT "Thus, chromatography is a DIFFERENTIAL"
600 PRINT "MIGRATION technique, as are"
610 PRINT "electrophoresis (separation in an"
620 PRINT "electric field) and sedimentation"
630 PRINT "(separation in a gravitational field)."
640 PRINT:PRINT "In GAS CHROMATOGRAPHY (GC), the "
660 PRINT "mobile phase is a gaseous stream."
670 PRINT "But many chemicals, especially "
680 PRINT "biomolecules, are not sufficiently"
690 PRINT "volatile and/or decompose/denature"
700 PRINT "at elevated temperatures. These"
710 PRINT "separations can be handled well by"
720 PRINT "LIQUID CHROMATOGRAPHY (LC) where"
730 PRINT "the samples are dissolved in a liquid"
740 PRINT "mobile phase."
750 GOSUB 7550
780 PRINT:PRINT "ADVANTAGES of chromatography over"
800 PRINT "conventional separation techniques:"
810 PRINT:PRINT "a)  It is capable of separating a"
830 PRINT "    multicomponent chemical mixture"
840 PRINT "    without requiring an extensive"
850 PRINT "    knowledge of the identity, number,"
860 PRINT "    and relative amounts of the"
870 PRINT "    substances present."
880 PRINT:PRINT "b)  Its resolving power is unequalled."
900 PRINT "    More than 100 constituents can "
910 PRINT "    be isolated from such complex"
920 PRINT "    mixtures as gasoline."
930 GOSUB 7550
990 CLS
1000 PRINT:PRINT:PRINT "c)  It is versatile in that it can"
1030 PRINT "    separate molecular species ranging"
1040 PRINT "    from hydrogen atoms to large "
1050 PRINT "    viruses."
1060 PRINT:PRINT "d)  It is not an energy intensive"
1080 PRINT "    process."
1090 PRINT:PRINT "e)  It is useful for both analysis and"
1110 PRINT "    for purification and concentration."
1120 PRINT:PRINT "f)  Separation may result from several"
1140 PRINT "    mechanisms such as ion-exchange,"
1150 PRINT "    adsorption, and molecular sieving"
1160 PRINT "    lending flexibility for designing"
1170 PRINT "    chromatographic separation schemes."
1180 GOSUB 7550
1220 PRINT:PRINT:PRINT "DISADVANTAGES of chromatography:"
1250 PRINT:PRINT "a)  Chromatography is inherently diffi-"
1270 PRINT "    cult to scale-up unlike distillation"
1280 PRINT "    and solvent extraction."
1290 PRINT:PRINT "b) It is an expensive technique as it "
1310 PRINT " requires sophisticated instrumentation."
1330 GOSUB 7550
1390 CLS
1400 PRINT:PRINT "USES of chromatography"
1420 PRINT "(from King, Sepn. Processes)."
1430 PRINT:PRINT "        ANALYSIS"
1450 PRINT:PRINT "a)  Identification or quantitative"
1470 PRINT "    analysis of components in a mixture"
1480 PRINT "    by comparing the residence times"
1490 PRINT "    on different columns."
1500 PRINT:PRINT "b)  Quantitative analysis by comparing"
1520 PRINT "    peak areas with known standards."
1530 PRINT:PRINT "c)  Separation prior to other"
1550 PRINT "    analytical techniques like mass spec"
1560 PRINT:PRINT "d)  Quality control to check the purity"
1580 PRINT "    of a desired product."
1590 GOSUB 7550
1620 CLS
1630 PRINT:PRINT:PRINT "        PREPARATION"
1660 PRINT:PRINT "a)  Isolation of a compound from a"
1680 PRINT "    mixture."
1690 PRINT:PRINT "b)  Concentration of a desired product."
1710 PRINT:PRINT:PRINT "         RESEARCH"
1740 PRINT:PRINT "a)  Partition coefficients determined"
1760 PRINT "    from retention volumes."
1770 PRINT:PRINT "b)  Diffusion coefficients determine"
1790 PRINT "    peak broadening."
1800 PRINT:PRINT "c)  Reaction kinetics and measurement of"
1820 PRINT "    adsorption isotherms."
1830 GOSUB 7550
1860 GOSUB 7110
1870 PRINT:PRINT:PRINT "QUESTION NUMBER 1"
1900 PRINT:PRINT:PRINT "Every chemical lab in the world should"
1930 PRINT "have access to a chromatographic system."
1950 PRINT:PRINT "True (T) or False (F)?"
1970 PRINT:INPUT "      answer (T/F):";A$
1990 CLS
2000 IF A$="F" THEN 2040
2010 IF A$="f" THEN 2040
2020 GOSUB 7200
2030 GOTO 2180
2040 LOCATE 5,1
2090 PRINT "Of course every chemical lab should"
2100 PRINT "have access to a chromatographic"
2110 PRINT "system. Chromatography is one of"
2120 PRINT "the most versatile analytical and"
2130 PRINT "preparative tools available."
2140 GOSUB 7550
2180 PRINT:PRINT:PRINT "QUESTION NUMBER 2"
2210 PRINT:PRINT:PRINT "Chromatography is a separation"
2240 PRINT "technique based on differential"
2250 PRINT "migration on the species in the"
2260 PRINT "direction of flow."
2270 PRINT:PRINT "True (T) or False (F)?"
2290 PRINT:PRINT:INPUT "      answer (T/F):";A$
2320 CLS
2330 IF A$="F" THEN 2370
2340 IF A$="f" THEN 2370
2350 GOSUB 7200
2360 GOTO 2510
2370 LOCATE 5,1
2430 PRINT "Like electrophoresis and sedimentation"
2440 PRINT "chromatography is a separation"
2450 PRINT "technique based on differential"
2460 PRINT "migration of the solutes."
2470 GOSUB 7550
2510 PRINT:PRINT:PRINT "QUESTION NUMBER 3"
2540 PRINT:PRINT:PRINT "Chromatography is an inexpensive "
2570 PRINT "separation technique making it very"
2580 PRINT "attractive for preparative separations."
2590 PRINT:PRINT "True (T) or False (F)?"
2610 PRINT:INPUT "     answer (T/F):";A$
2630 CLS
2640 IF A$="T" THEN 2680
2650 IF A$="t" THEN 2680
2660 GOSUB 7200
2670 GOTO 2860
2680 LOCATE 5,1
2740 PRINT "On the contrary, because of"
2750 PRINT "sophisticated instrumentation,"
2760 PRINT "chromatography is an expensive"
2770 PRINT "separation technique. However,"
2780 PRINT "for very expensive solutes (i.e."
2790 PRINT "proteins), chromatography is an"
2800 PRINT "excellent choice."
2810 GOSUB 7550
2860 PRINT:PRINT:PRINT "QUESTION NUMBER 4"
2890 PRINT:PRINT:PRINT "Gas chromatography is a useful"
2920 PRINT "technique for the isolation and"
2930 PRINT "purification of proteins."
2940 PRINT:PRINT "True (T) or False (F)?"
2960 PRINT:INPUT "       answer (T/F):";A$
2980 CLS
2990 IF A$="T" THEN 3030
3000 IF A$="t" THEN 3030
3010 GOSUB 7200
3020 GOTO 3170
3030 LOCATE 4,1
3080 PRINT "Biomolecules denature at the high"
3090 PRINT "temperatures commonly employed in"
3100 PRINT "gas chromatography. Instead, liquid"
3110 PRINT "chromatography is the preferred "
3120 PRINT "technique."
3130 GOSUB 7550
3170 PRINT:PRINT:PRINT "QUESTION NUMBER 5"
3200 PRINT:PRINT:PRINT "The main use for chromatography is"
3230 PRINT "for research purposes like determining"
3240 PRINT "partition coefficients, diffusion"
3250 PRINT "coefficients, reaction kinetics, and"
3260 PRINT "adsorption isotherms."
3270 PRINT:PRINT "True (T) or False (F)?"
3290 PRINT:INPUT "      answer (T/F):";A$
3310 CLS
3320 IF A$="T" THEN 3360
3330 IF A$="t" THEN 3360
3340 GOSUB 7200
3350 GOTO 3500
3360 LOCATE 5,1
3410 PRINT "This is not the main purpose of"
3420 PRINT "chromatography but is an important"
3430 PRINT "part.  The main use of chromatography"
3440 PRINT "is for the analysis of complex"
3450 PRINT "mixtures."
3460 GOSUB 7550
3500 PRINT:PRINT "CLASSIFICATION OF CHROMATOGRAPHY"
3520 PRINT "--------------------------------"
3530 PRINT "A) Adsorption--competition between"
3540 PRINT "               a solid and"
3550 PRINT "  i) Gas (GSC)"
3560 PRINT " ii) Liquid"
3570 PRINT "       a.  Thin Layer (TLC)"
3580 PRINT "       b.  Column (most prevalent and"
3590 PRINT "             is the basis for HPLC, High"
3600 PRINT "             Performance Liquid Chromatography"
3610 PRINT "B) Partition--competition between"
3620 PRINT "              a liquid and"
3630 PRINT "  i) Gas (GLC)"
3640 PRINT " ii) Liquid"
3650 PRINT "       a.  Column"
3660 PRINT "       b.  Paper"
3670 PRINT "       c.  Thin Layer"
3680 GOSUB 7550
3720 PRINT:PRINT:PRINT "    MODES OF HPLC"
3750 PRINT "    -------------"
3760 PRINT:PRINT "a) Elution Chromatography"
3780 PRINT "     A pulse of sample is introduced "
3790 PRINT "     at the inlet end of the column."
3800 PRINT "     The mobile phase carries the "
3810 PRINT "     sample pulse into the column. "
3820 PRINT "     Separation is based on the"
3830 PRINT "     relative affinities of the sample "
3840 PRINT "     molecules for the stationary"
3850 PRINT "     phase. This is the most "
3860 PRINT "     commonly employed mode of HPLC. If"
3870 PRINT "     the mobile phase is of uniform "
3880 PRINT "     composition, then it is termed "
3890 PRINT "     isocratic elution.  If the comp-"
3900 PRINT "     osition of the mobile phase changes"
3910 PRINT "     with time, e.g. 0 - 1.0 M salt conc.,"
3920 PRINT "     then it is termed gradient elution."
3930 PRINT "     This is employed for better res-"
3940 PRINT "     olution and to increase the speed"
3950 PRINT "     of separation."
3960 GOSUB 7550
3990 GOSUB 7330
4000 CLS
4010 PRINT:PRINT:PRINT "b) Frontal Chromatography
4040 PRINT "     The mixture to be separated is "
4050 PRINT "     introduced as a step rather than a"
4060 PRINT "     pulse; the feed mixture enters"
4070 PRINT "     continuously into the column."
4080 PRINT "     Although the frontal technique can"
4090 PRINT "     isolate only the least strongly"
4100 PRINT "     held component, it has the advan-"
4110 PRINT "     tages of a much greater feed "
4120 PRINT "     throughput capacity and less "
4130 PRINT "     dilution of the products. Also,"
4140 PRINT "     this is an excellent method for"
4150 PRINT "     monitoring the breakthrough "
4160 PRINT "     profile of a component."
4170 GOSUB 7550
4220 PRINT:PRINT:PRINT "c) Displacement Chromatography"
4250 PRINT "     This is an excellent method for "
4260 PRINT "     large scale separations. Here, "
4270 PRINT "     the sample is introduced at the "
4280 PRINT "     inlet of the column, similar to "
4290 PRINT "     elution chromatography. However, "
4300 PRINT "     instead of the mobile phase "
4310 PRINT "     carrying the feed down the column,"
4320 PRINT "     a displacer solution is introduced"
4330 PRINT "     (continuously). The displacer is a"
4340 PRINT "     compound which has a higher "
4350 PRINT "     affinity for the stationary phase"
4360 PRINT "     than any of the feed components."
4370 PRINT "     With competition for the "
4380 PRINT "     adsorption sites, the displacer"
4390 PRINT "     drives the feed into adjacent "
4400 PRINT "     square zones of pure material."
4410 GOSUB 7550
4440 PRINT:PRINT:PRINT "   TYPES OF HPLC"
4470 PRINT:PRINT "a) Normal Phase"
4490 PRINT "     This is a very good technique"
4500 PRINT "     for separating non-polar sub-"
4510 PRINT "     stances. Here, the stationary"
4520 PRINT "     phase is usually silica (or some"
4530 PRINT "     other hydrophilic material) while"
4540 PRINT "     the mobile phase is an organic"
4550 PRINT "     solvent (hydrophobic)."
4560 GOSUB 7550
4620 PRINT:PRINT:PRINT "b) Reversed Phase"
4650 PRINT "     90% of all chromatographic sepa-"
4660 PRINT "     rations use this type. Here, the"
4670 PRINT "     stationary phase is some hydro-"
4680 PRINT "     phobic substance (usually C18"
4690 PRINT "     of C8) and the mobile phase is"
4700 PRINT "     aqueous. Separations result from"
4710 PRINT "     hydrophobic interactions. Addition"
4720 PRINT "     of a small amount of organic to"
4730 PRINT "     the mobile phase reduces the "
4740 PRINT "     retention time of the components."
4750 GOSUB 7550
4810 PRINT:PRINT:PRINT "c) Ion Exchange"
4840 PRINT "     Charged sample components can be "
4850 PRINT "     separated by ion-exchange chroma-"
4860 PRINT "     tography. Depending on the nature"
4870 PRINT "     of the charged surface, it could"
4880 PRINT "     be either cation or anion exchange"
4890 PRINT "     chromatography."
4900 GOSUB 7550
4980 PRINT:PRINT:PRINT:PRINT "d) Size Exclusion Chromatography"
5020 PRINT "     The separation is based on molecu-"
5030 PRINT "     lar size. The stationary phase is"
5040 PRINT "     designed such that small molecular"
5050 PRINT "     weight compounds go through the "
5060 PRINT "     porous network while larger "
5070 PRINT "     molecules are essentially excluded"
5080 PRINT "     from the pores. Thus, a sieving "
5090 PRINT "     kind of effect is obtained where "
5100 PRINT "     the large molecules are eluted "
5110 PRINT "     earlier than the small molecules."
5120 GOSUB 7550
5170 LOCATE 4,1
5200 PRINT "e) Affinity Chromatography"
5210 PRINT "     This is a very powerful technique"
5220 PRINT "     for the separation of macromole-"
5230 PRINT "     cules. The principle is the spe-"
5240 PRINT "     cific interaction of certain "
5250 PRINT "     molecules for a certain group "
5260 PRINT "     of molecules, e.g. antigen for"
5270 PRINT "     antibody. Thus, only the desired"
5280 PRINT "     molecule is retained on the "
5290 PRINT "     stationary phase and can often"
5300 PRINT "     be isolated from a complex "
5310 PRINT "     mixture of very similar molecules."
5320 GOSUB 7550
5360 GOSUB 7110
5370 PRINT:PRINT:PRINT "QUESTION NUMBER 6"
5400 PRINT:PRINT:PRINT "Frontal chromatography is an excellent"
5430 PRINT "mode of operation for preparative"
5440 PRINT "separations."
5450 PRINT:PRINT "True (T) or False (F)?"
5470 PRINT:INPUT "     answer (T/F):";A$
5490 CLS
5500 IF A$="T" THEN 5540
5510 IF A$="t" THEN 5540
5520 GOSUB 7200
5530 GOTO 5720
5540 LOCATE 4,1
5590 PRINT "Frontal chromatography is not an ideal"
5600 PRINT "mode of operation for preparative scale"
5610 PRINT "separations. In frontal chromatography,"
5620 PRINT "a step input is used at the column en-"
5630 PRINT "trance, thus necessitating a large feed"
5640 PRINT "volume. However, only the first eluting"
5650 PRINT "compound will be purified to any "
5660 PRINT "extent. On the other hand, displacement"
5670 PRINT "chromatography is an excellent mode for"
5680 PRINT "preparative separations."
5690 GOSUB 7550
5720 PRINT:PRINT:PRINT "QUESTION NUMBER 7"
5750 PRINT:PRINT:PRINT "To separate a complex mixture of rela-"
5780 PRINT "tively hydrophobic peptides, normal "
5790 PRINT "phase chromatography should be used."
5800 PRINT:PRINT:PRINT "True (T) or False (F)?"
5830 PRINT:INPUT "     answer (T/F)";A$
5850 CLS
5860 IF A$="T" THEN 5900
5870 IF A$="t" THEN 5900
5880 GOSUB 7200
5890 GOTO 6110
5900 LOCATE 4,1
5950 PRINT "On the contrary, reverse phase"
5960 PRINT "chromatography should be used.  In"
5970 PRINT "normal phase chromatography, the"
5980 PRINT "mobile phase is hydrophobic.  Thus,"
5990 PRINT "the hydrophobic peptides would "
6000 PRINT "preferentially reside in the mobile"
6010 PRINT "phase, leading to an ineffective "
6020 PRINT "separation since all solutes would elute"
6030 PRINT "from the column at a time corresponding "
6040 PRINT "to the dead time of the column. To "
6050 PRINT "effect a separation, there must be "
6060 PRINT "an appreciable interaction between"
6070 PRINT "the solutes and the stationary phase."
6080 GOSUB 7550
6110 PRINT:PRINT:PRINT "QUESTION NUMBER 8"
6140 PRINT:PRINT:PRINT "Of the various ion-exchange adsorbents,"
6170 PRINT "a cation exchanger should be used to "
6180 PRINT "separate the two proteins cyctochrome C"
6190 PRINT "(pI=10.2) and lysozyme (pI=11.1) if the"
6200 PRINT "mobile phase consists of a 0.1M salt"
6210 PRINT "in a buffer solution, pH=6.0"
6220 PRINT:PRINT "True (T) or False (F)?"
6240 PRINT:INPUT "      answer (T/F):";A$
6260 CLS
6270 IF A$="F" THEN 6310
6280 IF A$="f" THEN 6310
6290 GOSUB 7200
6300 GOTO 6470
6310 LOCATE 4,1
6360 PRINT "A cation exchanger should be employed"
6370 PRINT "in order to effect the separation. "
6380 PRINT "Since the pH is below the pI values"
6390 PRINT "of each protein, both proteins will "
6400 PRINT "be positively charged. Thus, a "
6410 PRINT "cation exchanger should be employed."
6420 GOSUB 7550
6470 PRINT:PRINT:PRINT "QUESTION NUMBER 9"
6500 PRINT:PRINT:PRINT "The most common class of chromatography"
6530 PRINT "today is Thin Layer Chromatography."
6540 PRINT:PRINT "True (T) or False (F)?"
6560 PRINT:INPUT "     answer (T/F):";A$
6580 CLS
6590 IF A$="T" THEN 6630
6600 IF A$="t" THEN 6630
6610 GOSUB 7200
6620 GOTO 6770
6630 LOCATE 4,1
6690 PRINT "The most common class of chromatography"
6700 PRINT "is column chromatography because of its "
6710 PRINT "speed, convenience, and versatility."
6720 GOSUB 7550
6770 PRINT:PRINT:PRINT "QUESTION NUMBER 10"
6800 PRINT:PRINT:PRINT "Gradient elution is used to increase the"
6830 PRINT "speed of separation while maintaining"
6840 PRINT "adequate resolution between closely "
6850 PRINT "eluting peaks."
6860 PRINT:PRINT "True (T) or False (F)?"
6880 PRINT:INPUT "      answer (T/F):";A$
6900 CLS
6910 IF A$="F" THEN 6950
6920 IF A$="f" THEN 6950
6930 GOSUB 7200
6940 GOTO 7090
6950 LOCATE 4,1
7000 PRINT "Gradient elution commonly employs a"
7010 PRINT "salt gradient to speed up the separation"
7020 PRINT "and maintain very good peak resolution."
7030 GOSUB 7550
7100 STOP
7110 LOCATE 4,1
7120 FOR X= 2 TO 10
7130 PRINT "QUIZ TIME"
7140 GOSUB 7550
7190 RETURN
7200 PRINT
7210 PRINT
7220 PRINT
7230 PRINT
7240 PRINT "CORRECT"
7250 GOSUB 7550
7320 RETURN
7330 SCREEN 1,1
7340 PRINT"A typical elution chromatogram might    look like this:"
7350 LOCATE 9,1
7360 PRINT"C"
7370 PRINT"o"
7380 PRINT"n"
7390 PRINT"c."
7400 LINE(20,10)-(20,160)
7410 LINE -(300,160)
7420 LOCATE 22,9 :PRINT"Volume of Effluent"
7430  MUL=450
7440  FOR X= -10 TO 80 STEP .05
7450  Y1=MUL*EXP(1/(X*X+5))
7460  Y2=30*EXP(1/((X-25)*(X-25)+1))
7470  Y3=35*EXP(1/((X-60)*(X-60)+1))
7480  Y=Y1+Y2 +Y3
7490  PSET(60+X*3,MUL+200-Y)
7500  NEXT
7510 RETURN
7550 LOCATE 23,1:INPUT"Hit ENTER (RETURN) TO MOVE ON"A$
7560 CLS
7570 RETURN