10 REM CHROMATOGRAPHY GAME, H.BUNGAY   1979
12 KEY OFF:SCREEN 1,1
20 WIDTH 80
21 INPUT"Do you want your results sent to a printer";A$
22 IF A$ = "Y"OR A$="y" THEN NOP=1
30 CLS
40 PRINT"CHROMO, A Game for Teaching Biochemical Processing
50 PRINT"
60 PRINT"The CHROMO game is
70 PRINT"based on actual industrial problems of scaling columns
80 PRINT"from the laboratory to useful sizes (Bungay, 1978).
90 PRINT"Biochemicals such as enzymes are commonly purified by processes"
100 PRINT"in which gel chromatography is a key step.
110 PRINT"A run is started by placing concentrate at the top layer of adsorbent in
130 PRINT"the column and then flushing with a solvent (eluant) that 
140 PRINT"moves materials through the column at different rates."
150 PRINT"They separate and leave the column to be collected as"
160 PRINT"fractions that are analyzed for purity."
170 PRINT"There are many adsorbents from which to choose, and the
180 PRINT"capacities and resolving powers differ for various enzymes.
190 PRINT"Note that these adsorbents are quite expensive, but there is
200 PRINT"no relation between price and performance.
210 PRINT : INPUT"Hit the return key ";A$
220 CLS
230 PRINT"One of your products is subliminal oleoaginase, a rare enzyme"
240 PRINT"previously sold in very small amounts. There is a surprising"
250 PRINT"request for 50 grams, and we want to fill the order fast."
260 PRINT"Any enzyme from test runs can be combined and sold
270 PRINT"with the main batches.
280 PRINT"
290 PRINT"There are 6 adsorbents which are likely prospects for achieving
300 PRINT"purification of this enzyme.  If you are lucky and can select
310 PRINT"a good one, there is no point in testing them all.  There are no
320 PRINT"useful specifications on them because no one has ever 
340 PRINT"evaluated properties with this enzyme.
350 PRINT"
360 PRINT"There are two main proteinaceous impurities from which"
370 PRINT"your enzyme must be resolved.  Fractions of column effluent of over
380 PRINT"94 per cent purity (the minimum specification for salable enzyme)
390 PRINT"are pooled and saved.  Increased loading smears the
400 PRINT"chromatograms.  Uneven flow patterns in large columns also destroy
410 PRINT"resolution.  For this reason, very large columns which would
420 PRINT"allow column chromatography to be a major unit operation for the
430 PRINT"chemical process industries have never been successful
440 PRINT : PRINT : INPUT"Hit the return key ";A$
450 CLS
460 DIM V(20),S(3),B(20),C(20),D(20),M(3),Q1(4000), Q2(400)
500 LOCATE 3,7
510 PRINT"CHROMATOGRAPHY SCALE-UP GAME"
540 LOCATE 21,3
550 PRINT"0  20   40   60   80   100"
560 PRINT"    AMMONIUM SULFATE CONCENTRATION"
562 LINE(20,15)-(20,160)
564 LINE -(260,160)
570 REM INIT. VARIABLES TO PREVENT /0
580 FOR I= 14 TO 20:LET V(I)=.00001:NEXT I
610 LOCATE  6,2:PRINT"C":PRINT" O":PRINT" N":PRINT" C":PRINT" E"
670 PRINT" N":PRINT" T":PRINT" R":PRINT" A":PRINT" T":PRINT" I"
730 PRINT" O":PRINT" N"
750 GET (5,15)-(20,165),Q2
760 LOCATE 6,2:PRINT"Y":PRINT" I":PRINT" E":PRINT" L":PRINT" D"
820 PRINT"  ":PRINT" P":PRINT" U":PRINT" R":PRINT" I":PRINT" T":PRINT" Y"
890 PRINT"  "
900 LOCATE 10,22
910 PRINT"YIELD"
920 LOCATE 12,4
930 PRINT"PURITY"
940 LINE (20,160)-(21,160)
950 FOR C= 30 TO 99
960 Y=160-42.91*(C-30)^.4+.00028*C*C*C
970 IF Y>160 THEN Y=160
980 X=20+2*C
990 LINE -(X,Y),1
1000 NEXT
1010 LINE (20,160)-(21,160)
1020 FOR C=30 TO 99
1030 GOSUB 2860
1040 Y=160-(150*S2/(S1+S2+S3))
1050 X=20+2*C
1060 LINE -(X,Y),2
1070 NEXT
1080 GET ( 7,10)-(270,185),Q1
1090 LOCATE 1,1
1100 INPUT"ARE YOU CONTINUING FROM A PREVIOUS SESSION (Y OR N)";A$
1110 IF A$ =  "Y" THEN 3030
1120 IF A$ = "y" THEN 3030
1130 CLS
1140 INPUT"KG. OF LIVER TO BE PROCESSED ";K
1150 INPUT"PER CENT AMMONIUM SULFATE ";C
1152 IF C<30 THEN PRINT"No yield with so little salt":GOTO 1150
1160 GOSUB 2860
1170 PRINT "YIELD = ";K*S2;" MG.",100*S2/138;"PER CENT"
1175 IF NOP=1 THEN LPRINT "YIELD = ";K*S2;" MG.",100*S2/138;"PER CENT"
1180 PRINT "PURITY IN PER CENT =";100*S2/(S1+S2+S3)
1185 IF NOP=1 THEN LPRINT "PURITY IN PER CENT =";100*S2/(S1+S2+S3)
1190 PRINT:PRINT"COST OF PREPARATION :"
1195 IF NOP=1 THEN LPRINT:LPRINT"COST OF PREPARATION :"
1200 IF K>100 THEN GOTO 1270
1210 C4=2.48*K+.003*K*C
1220 PRINT "COST OF LIVER = $ ";2.48*K
1225 IF NOP=1 THEN LPRINT "COST OF LIVER = $ ";2.48*K
1230 PRINT "COST OF AMMONIUM SULFATE = $ ";.003*K*C
1235 IF NOP=1 THEN LPRINT "COST OF AMMONIUM SULFATE = $ ";.003*K*C
1240 V(20)=V(20)+C4+475.05
1250 PRINT"LABOR AND EQUIPMENT = $ ";475.05
1255 IF NOP=1 THEN LPRINT"LABOR AND EQUIPMENT = $ ";475.05
1260 GOTO 1380
1270 IF K>850 THEN GOTO 1340
1280 C4=2.31*K+.0028*K*C
1290 PRINT:PRINT "COST OF LIVER = $ ";2.31*K
1295 IF NOP=1 THEN LPRINT:LPRINT "COST OF LIVER = $ ";2.31*K
1300 PRINT "COST OF AMMONIUM SULFATE = $ ";.0028*K*C
1305 IF NOP=1 THEN LPRINT "COST OF AMMONIUM SULFATE = $ ";.0028*K*C
1310 V(20)=V(20)+C4+902.38
1320 PRINT "LABOR AND EQUIPMENT = $ ";902.38
1325 IF NOP=1 THEN LPRINT "LABOR AND EQUIPMENT = $ ";902.38
1330 GOTO 1380
1340 C4=2.17*K
1350 PRINT:PRINT"COST OF LIVER = $ ";C4
1355 IF NOP=1 THEN LPRINT:LPRINT"COST OF LIVER = $ ";C4
1360 V(20)=C4 + V(20) + 1409.82
1370 PRINT"LABOR AND EQUIPMENT = $ ";1409.82
1375 IF NOP=1 THEN LPRINT"LABOR AND EQUIPMENT = $ ";1409.82
1380 N=1
1390 PRINT
1395 IF NOP=1 THEN LPRINT
1400 IF B(N)<.05 THEN GOTO 1450
1410 N=N+1 : IF N<21 THEN GOTO 1400
1420 PRINT"TOO MANY BATCHES. THIS WILL BE POOLED WITH BATCH 20."
1430 B(20)=B(20)+K*S2:C(20)=C(20)+K*S1:D(20)=D(20)+K*S3
1440 GOTO 1490
1450 PRINT"THIS IS ASSIGNED AS BATCH ";N
1460 B(N)=K*S2:C(N)=K*S1:D(N)=K*S3
1470 S1=0:S2=0:S3=0
1480 T1=0:T2=0:T3=0
1490 PRINT "YOU NOW HAVE THE FOLLOWING BATCHES:"
1500 FOR N= 1 TO 20
1510 IF B(N) <.1 THEN 1530
1520 PRINT "BATCH ";N;" MG. =";B(N);"  PURITY =";B(N)/(B(N)+C(N)+D(N))
1530 NEXT N
1540 PRINT:INPUT"TYPE A MINUS NUMBER TO MAKE MORE BATCHES,0 TO CONTINUE,OR TWO NUMBERS TO POOL";A
1550 IF A>-.1 THEN 1590
1560 CLS
1570 PUT (7,10),Q1
1580 GOTO 1130
1590 IF A<1 THEN GOTO 1630
1600 IF A>20 THEN GOTO 1540
1610 INPUT B:B(A)=B(A)+B(B):C(A)=C(A)+C(B):D(A)=D(A)+D(B)
1620 B(B)=0:GOTO 1490
1630 PRINT:INPUT"SELECT BATCH AS FEEDSTOCK FOR CHROMATOGRAPHY";N
1640 IF N>20 THEN GOTO 1630
1650 INPUT"MG. OF ENZYME APPLIED TO COLUMN ";V(9)
1660 IF (B(N)-V(9))>0 THEN GOTO 1680
1670 PRINT"INSUFFICIENT ENZYME IN BATCH":GOTO 1630
1680 V(11)=V(9)*C(N)/B(N)
1690 V(12)=V(9)
1700 V(13)=V(9)*D(N)/B(N)
1710 P=B(N)/(B(N)+C(N)+D(N))
1720 B(N)=B(N)-V(9)
1730 C(N)=C(N)-V(11)
1740 D(N)=D(N)-V(13)
1750 V(7)=.001*V(9)*(B(N)+C(N)+D(N))/B(N)
1760 PRINT"THIS MUCH ENZ. IS ";V(7);" G. OF PROTEIN."
1770 PRINT
1780 INPUT "DIAM. OF COLUMN ";D
1790 REM G/L OF RESIN
1800 LET C=V(7)/(.05*D*D)
1810 PRINT"LOADING IS ";C;" G. PER L. OF PROTEIN."
1820 INPUT "TYPE ANYTHING BUT 2 TO CONTINUE";A
1830 IF A=2 THEN 1780
1840 INPUT "SELECT ADSORBENT (1-6)";A
1850 CLS
1860 REM >6=6 AND <1=1
1870 LET A=INT(A)
1880 IF A>6 THEN LET A=6
1890 IF A<2 THEN 1950
1900 LET M=7*(A-1)
1910 REM DUMMY READ TO COUNT TO DATA
1920 FOR I=1 TO M
1930 READ Y
1940 NEXT I
1950 READ S(1),S(2),S(3),M(1),M(2),M(3),R
1960 RESTORE
1970 IF R-C>0 THEN 2010
1980 PRINT "COLUMN OVERLOADED WITH PROTEIN."
1990 LET V(8)=1.2+C-R
2000 GOTO 2070
2010 LET V(8)=1+.06*D/(R-C)
2020 REM ADJ. FOR CAPACITY AND DIAM.
2030 PUT (5,15),Q2
2040 LINE (20,162)-(220,162)
2050 LOCATE 22,9
2060 PRINT"FRACTION NUMBER"
2070 FOR I=1 TO 3
2080 LET S(I)=S(I)*V(8)
2090 NEXT I
2100 LET V(4)=0
2110 LET V(10)=0
2120 REM SET X, FRACT. NO., =0
2130 LET X=0
2140 LET X=X+1
2150 X1=20+8*X
2160 IF X>20 THEN 2420
2170 REM NORMAL DIST. EQN.
2180 LET F=20+2*SQR(.1*C)
2190 FOR I=1 TO 3
2200 LET A=.5*(X-M(I))*(X-M(I))/(S(I)*S(I))
2210 LET V(I)=.001*F*V(I+10)*EXP(-A/S(I))
2220 NEXT I
2230 REM V(4) IS ENZYME,V(5) IS TOTAL STUFF,V(10) IS PRODUCT
2240 LET V(4)=V(4)+V(2)
2250 LET V(5)=V(1)+V(2)+V(3)+.000001
2260 T1=T1+V(1)
2270 T2=T2+V(2)
2280 T3=T3+V(3)
2290 Y=162-5*V(5)
2300 IF Y<1 THEN Y=1
2310 IF V(2)/V(5)>.94 THEN 2390
2320 LINE(X1,Y)-(X1+5,162),,B
2330 REM ACCUMULATE ENZ. IN BAD FRACT.
2340 IF V(2)/V(5)<.4 THEN 2140
2350 S1=S1+V(1)
2360 S2=S2+V(2)
2370 S3=S3+V(3)
2380 GOTO 2140
2390 LINE(X1,Y)-(X1+5,162),,BF
2400 LET V(10)=V(10)+V(2)
2410 GOTO 2140
2420 LOCATE 24,1
2430 INPUT"TYPE RETURN ";A
2440 CLS
2450 LET Y=V(9)*V(10)/V(4)
2460 PRINT "YIELD =";Y;"MILLIGRAMS.",100*V(10)/V(4);"PER CENT"
2465 IF NOP=1 THEN LPRINT "YIELD =";Y;"MILLIGRAMS.",100*V(10)/V(4);"PER CENT"
2470 LET V(19)=V(19)+Y
2480 LET C2=400+55*D
2490 LET C3=35*D*D
2500 C5=C2+C3
2510 LET V(17)=V(14)+V(15)+V(16)
2520 LET V(18)=V(18)+V(15)*V(9)/V(4)
2530 S1=S1*V(11)/T1
2540 S2=S2*V(12)/T2
2550 S3=S3*V(13)/T3
2560 PRINT
2565 IF NOP=1 THEN LPRINT
2570 PRINT "COSTS : $ ";C2,"FOR LABOR AND ASSAYS"
2575 IF NOP=1 THEN LPRINT "COSTS : $ ";C2,"FOR LABOR AND ASSAYS"
2580 PRINT TAB(10);C3,"FOR MATERIALS"
2585 IF NOP=1 THEN LPRINT TAB(10);C3,"FOR MATERIALS"
2590 PRINT "TOTAL $";TAB(10);C5
2595 IF NOP=1 THEN LPRINT "TOTAL $";TAB(10);C5
2600 LET V(20)=V(20)+C5
2610 IF Y<.01 THEN 2660
2620 PRINT
2625 IF NOP=1 THEN LPRINT
2630 PRINT "PER MG. COST  $";C5/Y
2635 IF NOP=1 THEN LPRINT "PER MG. COST  $";C5/Y
2640 PRINT "TOTAL MG. COLLECTED =";V(19),"AT $";V(20)/V(19);"PER MG."
2645 IF NOP=1 THEN LPRINT "TOTAL MG. COLLECTED =";V(19),"AT $";V(20)/V(19);"PER MG."
2650 PRINT "INCLUDING ALL BATCH COST FOR AMM. SULFATE STEP."
2655 IF NOP=1 THEN LPRINT "INCLUDING ALL BATCH COST FOR AMM. SULFATE STEP."
2660 PRINT
2665 IF NOP=1 THEN LPRINT
2670 PRINT"SIDE FRACTIONS OF REASONABLE PURITY HAVE BEEN POOLED."
2680 INPUT"TYPE C TO CONTINUE, TYPE S TO QUIT AND SAVE.";S$
2690 IF S$="S" OR S$="s" THEN 2940
2700 K=1
2710 GOTO 1380
2720 IF V(9)=0 THEN 690
2730 IF V(9)=>V(18) THEN 2670
2740 LET V(7)=V(9)*V(17)/V(15)
2750 FOR I=1 TO 3
2760 V(I+10)=V(I+13)/V(17)
2770 LET V(I+13)=0
2780 NEXT I
2790 LET V(18)=V(18)-V(9)
2800 LET C4=0
2810 GOTO 1780
2820 END
2830 DATA 1.2,1.2,1.18,3.1,9.12,14.1,8.8,1.3,1.2,1.3,3,9.100001,14.9,9
2840 DATA 1.3,1.2,1.2,5.1,11,16.1,12,1.19,1.29,1.3,2.9,5,13.1,9
2850 DATA 1.1,1.1,1.2,2.4,8.3,15,5,1.2,1.3,1.25,4.6,8,13.7,12
2860 S1=490-ABS(.5*(65-C)*(65-C))
2870 S2=42.91*(C-30)^.4-.00028*C*C*C
2880 S3=401!-.21*(80-C)*(80-C)
2890 IF S1<1 THEN S1=2.21
2900 IF C<30 THEN S2=0
2910 IF S2<0 THEN S2=0
2920 IF S3<7 THEN S3=8.1234
2930 RETURN
2940 OPEN "CSAVE" FOR OUTPUT AS #1
2950 PRINT #1, V(19), V(20)
2960 FOR N= 1 TO 20
2970 IF B(N) < .1 THEN 2990
2980 PRINT #1, B(N), C(N), D(N)
2990 NEXT
3000 PRINT #1,0,0,0,0,0,0,0,0
3010 CLOSE 1
3020 STOP
3030 OPEN "CSAVE" FOR INPUT AS #1
3040 INPUT #1, V(19), V(20)
3050 PRINT V(19), V(20)
3060 N=0
3070 N=N+1
3080 INPUT #1, B(N)
3090 IF B(N)<.1 THEN 3120
3100 INPUT #1, C(N),D(N)
3110 GOTO 3070
3120 CLOSE 1
3130 GOTO 1470
