1 REM Mark McGann, 1993
4 enuf=210
6 DIM sa(170),a(170),b(170),sb(170),pa(300),pb(300)
20 GOSUB 180 : REM * Explanation of program to user
25 GOSUB 1420 : REM * Explanation of Display
26 GOSUB 460
30 GOSUB 660 : REM * Input of user variables, simulation
80 PRINT"Your first trial with low affinities of the materials for
90 PRINT"the adsorbent had rather rapid exiting from the column.
92 PRINT"Although the amounts were equal, the material with the
94 PRINT"higher affinity for the adsorbent developed a peak that
96 PRINT"that was lower and broader.
100 PRINT
110 PRINT"Two very significant differences with high affinities are:
120 PRINT"  - slow exit from the column
130 PRINT"  - more dilution; you may not see the spots moving
135 enuf=300
140 LOCATE 22,1
150 INPUT "Would you like to run the simulation again (Y/N) ? ",REPEAT$
160 IF REPEAT$ = "y" or REPEAT$="Y" THEN GOSUB 625 ELSE END
170 GOTO 30
180 REM * Explanation of program to user
200 CLS
210 PRINT " Chromotography is a process for separating different
220 PRINT " components of a sample by different interactions with
230 PRINT " a moblile and stationary phase. "
240 PRINT
250 PRINT " Chromotography is generally in a column with an adsorbent
260 PRINT " called the stationary phase. 
270 PRINT " A gas or liquid continuously flushes the column.  "
280 PRINT " This fluid is called the mobile phase."
290 PRINT
300 PRINT " A sample, with different components, is injected at the
310 PRINT " top of the column.  As the sample moves through the column,
320 PRINT " its components approach equilibria between the phases.
380 PRINT " Each component spends a different but distinct percentage "
390 PRINT " of its time in the stationary phase.  Since only the mobile "
400 PRINT " phase is moving, the greater the percentage of time a component "
410 PRINT " spends in the the stationary phase the longer it takes to pass.
420 PRINT " Hence each of the different components that went in together "
430 PRINT " come out at different times, and a separation is accomplished."
432 PRINT:PRINT
440 INPUT "HIT RETURN TO CONTINUE",DUMMY$
450 CLS:RETURN
460 PRINT " To simulate a chromotography column, we need
510 PRINT " Vs/Vm, the volume of the stationary phase in the column"
520 PRINT " divided by the volume the mobile phase occupies in the column.
530 PRINT " The Vs/Vm value is important because equilibrium
540 PRINT " is in terms of concentrations.
550 PRINT" (typical values are 0.01 - 2). We arbitrarily picked 1.0.
560 PRINT
570 PRINT " The program will ask for the partition coefficient for each "
580 PRINT " component.  This is its equilibrium constant assuming the"
590 PRINT " stationary state is the product; the mobile state is the reactant.
600 PRINT " The partition coefficient is the concentration in the "
610 PRINT " stationary phase divided by the concentration in the mobile"
620 PRINT " phase."
622 PRINT: INPUT "HIT RETURN TO CONTINUE",DUMMY$
625 PRINT"Type distribution coeff. for A (0.5 to 0.7 for 1st run) "
626 INPUT"Roughly double for 2nd run ";Ka
627 INPUT"Type distribution coeff. for B (0.55 to 1.0 for 1st run) ";Kb
650 RETURN
660 REM * Input of user variables
670 CLS
680 FOR n=0 TO 170
690 sa(n)=0:a(n)=0:b(n)=0:sb(n)=0:pa(n)=0:pb(n)=0
700 NEXT
702 LINE(109,50)-(109,160)
704 LINE-(320,160)
706 LOCATE 22,20:PRINT"Fraction Number
710 a(1)=100
720 b(1)=100
730 REM Ka=.5
740 REM Kb=.6
750 sa(1)=a(1)*Ka/(1+Ka)
760 sb(1)=b(1)*Kb/(1+Kb)
770 a(1)=a(1)-sa(1)
780 b(1)=b(1)-sb(1)
785 leng=2:Fr=1:beg=1
790 FOR n=leng TO beg STEP -1
800 a(n)=a(n-1):b(n)=b(n-1):at=a(n)+sa(n)
830 bt=b(n)+sb(n):sa(n)=at*Ka/(1+Ka)
850 a(n)=at-sa(n):sb(n)=bt*Kb/(1+Kb)
870 b(n)=bt-sb(n)
872 LINE(40,20+n)-(100,20+n),0
875 IF a(n)<2 THEN 915
880 sta=INT(50/a(n))
890 FOR x=40 TO 100 STEP sta
900 PSET(x,20+n)
910 NEXT x
915 IF b(n)<2 THEN 990
920 stb=INT(50/b(n))
930 FOR x=40 TO 100 STEP stb
940 PSET(x,20+n),2
950 NEXT x
990 NEXT
1000 LINE(39,20)-(101,121),,b
1001 Fr=Fr+1:LOCATE 22,12:PRINT Fr
1003 LOCATE 22,38:PRINT Fr+20
1004 leng=Fr+2:IF leng>100 THEN leng=100
1006 IF a(beg)<.1 AND b(beg)<.1 THEN beg=beg+1
1010 IF a(100)<.01 AND b(100)<.01 THEN 1080
1020 pa(1)=a(100):pb(1)=b(100)
1030 FOR n=210 TO 2 STEP -1
1035 LINE(320-n,20)-(320-n,159),0
1036 pa(n)=pa(n-1):pb(n)=pb(n-1)
1040 IF pa(n)>0 THEN PSET(320-n,160-20*pa(n))
1060 IF pb(n)>0 THEN PSET(320-n,160-20*pb(n)),2
1070 NEXT n
1080 IF Fr<enuf THEN 790
1085 CLS
1199 RETURN
1420 REM * EXPLANATION OF DISPLAY
1440 CLS
1450 PRINT "The computer shows a 2-D chromotography column and points out"
1460 PRINT "the different parts.  Next comes a simulation.
1510 PRINT " It will draw a graph to the right of the column.  This is "
1520 PRINT "the response a detector at the bottom would have over time."
1550 PRINT
1560 INPUT " HIT RETURN",DUMMY$
1570 CLS
1580 LINE (210,10)-(210,190)
1590 LINE (200,10)-(200,190)
1600 LINE (199,10)-(199,190)
1610 LINE (260,10)-(260,190)
1620 LINE (261,10)-(261,190)
1630 LINE (250,10)-(250,190)
1640 LOCATE 6,1
1650 PRINT " WALL OF COLUMN"
1660 LOCATE 10,1
1670 PRINT " STATIONARY PHASE"
1680 LOCATE 14,1
1690 PRINT " MOBILE PHASE"
1700 LOCATE 2,1
1710 PRINT " TOP OF COLUMN"
1720 LOCATE 18,1
1730 PRINT " BOTTOM OF COLUMN"
1740 LINE (115,10)-(231,10)
1750 LINE (122,42)-(200,30)
1760 LINE (122,42)-(261,45)
1770 LINE (140,75)-(205,60)
1780 LINE (140,75)-(255,70)
1790 LINE (105,107)-(230,107)
1800 LINE (140,140)-(230,190)
1810 LOCATE 23,1
1820 INPUT "HIT RETURN",DUMMY$
1830 CLS
1840 RETURN
