10 CLS
20 KEY OFF
30 DIM T(15)
40 SCREEN 1,1
50 PRINT "          CRYSTALLIZATION"
60 PRINT "          ---------------"
70 PRINT
80 PRINT
90 PRINT "         BY HEATHER LUKEMAN"
100 PRINT
110 PRINT
120 PRINT
130 PRINT
140 PRINT "           A Tutorial on "
150 PRINT "          Crystallization"
160 PRINT
170 PRINT"              May, 1988"
180 GOSUB 3920
190 PRINT
200 PRINT "         INTRODUCTION"
210 PRINT "         ------------"
220 PRINT
230 PRINT "Crystallization from solution "
240 PRINT "results in excellent purification."
250 PRINT "Many materials are be marketed in "
260 PRINT "crystalline form.  Large amounts of"
270 PRINT "product may be obtained from impure"
280 PRINT "solutions in one processing step. The"
290 PRINT "attractiveness of this method is"
300 PRINT "heightened when one considers that"
310 PRINT "crystallization may operate at lower"
320 PRINT "temperatures and requires much less"
330 PRINT "energy than separation processes"
340 PRINT "such as distillation."
350 GOSUB 3920
360 PRINT
370 PRINT
380 PRINT "A crystal is a structure with"
390 PRINT "a repetitive arrangement of"
400 PRINT "atoms, ions, or molecules in"
410 PRINT "all directions that defines "
420 PRINT "the shape and properties of "
430 PRINT "the material."
440 GOSUB 3920
450 PRINT
460 PRINT "Two stages of crystal "
470 PRINT "formation are nucleation and growth."
480 PRINT "NUCLEATION is the formation of"
490 PRINT "a new solid phase either often"
500 PRINT "around an impurity in the solution."
510 PRINT "Layer by layer addition of solute to"
520 PRINT "the nuclei is termed GROWTH. The "
530 PRINT "impetus for both processes is"
540 PRINT "supersaturation - unless the "
550 PRINT "solution is supersaturated, no"
560 PRINT "nucleation or growth will occur."
570 GOSUB 3920
580 PRINT
590 PRINT
600 PRINT "Solubility diagrams are useful"
610 PRINT "in determining the equilibrium "
620 PRINT "condition of the system and are"
630 PRINT "found in compilations of chemical"
640 PRINT "and engineering data. Comparison of"
650 PRINT "the system's saturation to the"
660 PRINT "equilibrium solubility of the"
670 PRINT "solution at the corresponding"
680 PRINT "conditions tells whether"
690 PRINT "the solution is"
700 PRINT "supersaturated (and therefore if"
710 PRINT "nucleation and growth will occur)."
720 GOSUB 3920
730 PRINT
740 PRINT "Retention time in most "
750 PRINT "commercial equipment is about"
760 PRINT "two to six hours, though "
770 PRINT "nucleation in a supersaturated "
780 PRINT "solution may occur in less than"
790 PRINT "a second. Since the number of "
800 PRINT "nuclei formed influences the "
810 PRINT "size and shape of the crystals"
820 PRINT "obtained, the effects of an "
830 PRINT "upset in the system can be serious."
840 GOSUB 3920
850 PRINT
860 PRINT
870 PRINT "Another reason to maintain "
880 PRINT "steadiness of operation is the "
890 PRINT "fact that four to six retention"
900 PRINT "periods generally pass before"
910 PRINT "the effects of an upset are"
920 PRINT "negligible."
930 GOSUB 3920
940 PRINT
950 PRINT
960 PRINT "The crystal size distribution"
970 PRINT "depends on the relationship"
980 PRINT "between nucleation and growth."
990 PRINT "If many nuclei are formed during"
1000 PRINT "the cooling process, many small"
1010 PRINT "crystals will result. However, if"
1020 PRINT "only a few nuclei are formed, the"
1030 PRINT "crystals formed will be large."
1040 GOSUB 3920
1050 PRINT
1060 PRINT
1070 PRINT "In continuous processes, nucleation"
1080 PRINT "often occurs in a SEEDED solution"
1090 PRINT "because of both mechanical stimuli"
1100 PRINT "and supersaturation. If the solution"
1110 PRINT "is homogeneous and at steady state,"
1120 PRINT "the particle size distribution has"
1130 PRINT "definite limits that may be obtained"
1140 PRINT "mathematically."
1150 GOSUB 3920
1160 PRINT
1170 PRINT
1180 PRINT "As mentioned previously, crystal"
1190 PRINT "growth occurs in layers.  Faces "
1200 PRINT "having different dimensions and "
1210 PRINT "at various angles with respect to"
1220 PRINT "one another determine the shape "
1230 PRINT "of the crystal. However, during "
1240 PRINT "crystal growth or dissolution, the"
1250 PRINT "displacement of these faces is "
1260 PRINT "always parallel to their original"
1270 PRINT "positions."
1280 GOSUB 3920
1290 PRINT
1300 PRINT
1310 PRINT "This phenomenon is called  THE"
1320 PRINT "PRINCIPLE OF PARALLEL DISPLACEMENT"
1330 PRINT "OF FACES. The rate of growth in "
1340 PRINT "a direction perpendicular to the"
1350 PRINT "face is termed the TRANSLATIONAL"
1360 PRINT "VELOCITY. The translational "
1370 PRINT "velocity depends on the size of"
1380 PRINT "the face considered."
1390 GOSUB 3920
1400 PRINT
1410 PRINT
1420 PRINT "A geometric law based on "
1430 PRINT "differences in the faces'"
1440 PRINT "translational velocities is the"
1450 PRINT "OVERLAPPING PRINCIPLE. Those"
1460 PRINT "faces with the lowest trans-"
1470 PRINT "lational velocities will survive"
1480 PRINT "crystal growth while those with"
1490 PRINT "the highest will survive crystal"
1500 PRINT "dissolution."
1510 GOSUB 3920
1520 PRINT
1530 PRINT "Since crystal growth occurs"
1540 PRINT "layer by layer at the faces of"
1550 PRINT "the crystal, resistance to the"
1560 PRINT "integration of molecules onto"
1570 PRINT "the surface is an important "
1580 PRINT "parameter in crystal growth."
1590 PRINT "Because the crystal is a highly"
1600 PRINT "structured lattice, impurity "
1610 PRINT "units will experience a much "
1620 PRINT "greater resistance to joining"
1630 PRINT "the lattice. Extremely"
1640 PRINT "pure crystals may be formed "
1650 PRINT "under favorable conditions."
1660 GOSUB 3920
1670 PRINT
1680 PRINT
1690 PRINT "If growth occurs at fairly "
1700 PRINT "low rates and at equilibrium"
1710 PRINT "conditions, many product"
1720 PRINT "purities approach 99.5 - 99.99"
1730 PRINT "percent.  The impurity in these"
1740 PRINT "cases is usually the result of "
1750 PRINT "mother liquor trapped within "
1760 PRINT "or wetting the crystal. "
1770 PRINT "To eliminate this"
1780 PRINT "type of impurity, recrystallization"
1790 PRINT "of the material from a more pure "
1800 PRINT "solution is necessary."
1810 GOSUB 3920
1820 PRINT
1830 PRINT "Because mother liquor films on the "
1840 PRINT "crystals' surfaces affect"
1850 PRINT "purity, small or nonuniform "
1860 PRINT "particles are harder to wash "
1870 PRINT "with their greater "
1880 PRINT "surface area for adhesion and "
1890 PRINT "hence retention of a greater proportion"
1900 PRINT "of mother liquor than do large "
1910 PRINT "uniform crystals. Another factor"
1920 PRINT "that affects the efficiency of "
1930 PRINT "washing is the viscosity of the "
1940 PRINT "mother liquor. Low viscosity "
1950 PRINT "solutions are more easily removed"
1960 PRINT "so the product's purity will be"
1970 PRINT "higher."
1980 GOSUB 3920
1990 GOSUB 3480
2000 Q=1
2010 GOSUB 3960
2020 PRINT "The following are advantages of"
2030 PRINT "crystallization:"
2040 PRINT "   low operating temperatures"
2050 PRINT "   low energy requirements"
2060 PRINT "   high purity in a single step."
2070 PRINT
2080 PRINT "True (T) or False (F)?"
2090 PRINT
2100 INPUT "     answer (T/F):";A$
2110 CLS
2120 IF A$="F" THEN 2140
2130 PRINT"CORRECT" :GOTO 2230
2140 PRINT
2150 PRINT
2160 PRINT
2170 PRINT
2180 PRINT
2190 PRINT "These characteristics make"
2200 PRINT "crystallization one of the most"
2210 PRINT "attractive downstream purification"
2220 PRINT "techniques. "
2230 GOSUB 3920
2240 Q=2
2250 GOSUB 3960
2260 PRINT
2270 PRINT
2280 PRINT "Nucleation may occur around an "
2290 PRINT "impurity in the mother liquor."
2300 PRINT
2310 PRINT
2320 PRINT "True (T) or False (F)?"
2330 PRINT
2340 INPUT "     answer (T/F)";A$
2350 CLS
2360 IF A$="F" THEN 2380
2370 PRINT"CORRECT" :GOTO 2480
2380 PRINT
2390 PRINT
2400 PRINT
2410 PRINT
2420 PRINT
2430 PRINT "Nucleation does occur and for"
2440 PRINT "this reason, care must be taken"
2450 PRINT "to eliminate entrance of all "
2460 PRINT "foreign matter so that steadiness"
2470 PRINT "of operation may be maintained."
2480 GOSUB 3920
2490 Q=3
2500 GOSUB 3960
2510 PRINT
2520 PRINT
2530 PRINT "Nucleation and growth can be"
2540 PRINT "reasonably expected in a "
2550 PRINT "saturated solution."
2560 PRINT
2570 PRINT
2580 PRINT "True (T) or False (F)?"
2590 PRINT
2600 INPUT "      answer (T/F):";A$
2610 CLS
2620 IF A$="T" THEN 2640
2630 PRINT"CORRECT" :GOTO 2740
2640 PRINT
2650 PRINT
2660 PRINT
2670 PRINT
2680 PRINT
2690 PRINT "The driving force for nucleation"
2700 PRINT "and growth is supersaturation. "
2710 PRINT "Therefore, a saturated solution"
2720 PRINT "would not be expected to nucleate"
2730 PRINT "and experience crystal growth."
2740 GOSUB 3920
2750 Q=4
2760 GOSUB 3960
2770 PRINT
2780 PRINT
2790 PRINT "The crystal size distribution "
2800 PRINT "depends on the number of nuclei"
2810 PRINT "formed during the cooling process"
2820 PRINT "as well as other factors (such as"
2830 PRINT "the presence of impurities)."
2840 PRINT
2850 PRINT "True (T) or False (F)?"
2860 PRINT
2870 INPUT "     answer (T/F):";A$
2880 CLS
2890 IF A$="F" THEN 2910
2900 PRINT"CORRECT" :GOTO 3000
2910 PRINT
2920 PRINT
2930 PRINT
2940 PRINT
2950 PRINT
2960 PRINT
2970 PRINT "Particle shape and growth may "
2980 PRINT "be controlled by the presence of"
2990 PRINT "even small amounts of impurities."
3000 GOSUB 3920
3010 Q=5
3020 GOSUB 3960
3030 PRINT
3040 PRINT
3050 PRINT "The resistance to integration into"
3060 PRINT "the crystal experienced by impurity"
3070 PRINT "atoms accounts for the extremely high"
3080 PRINT "purity found in crystalline products."
3090 PRINT
3100 PRINT "True (T) or False (F)?"
3110 PRINT
3120 INPUT "      answer (T/F):";A$
3130 CLS
3140 IF A$="F" THEN 3160
3150 PRINT"CORRECT" :GOTO 3280
3160 PRINT
3170 PRINT
3180 PRINT
3190 PRINT "Percent impurity ususally ranges"
3200 PRINT "from 0.2 - 0.5 % and is mainly "
3210 PRINT "the result of mother liquor trapped"
3220 PRINT "within the crystal or adsorbed to"
3230 PRINT "its surface. Surface adsorption is"
3240 PRINT "more likely to be a problem if the"
3250 PRINT "mother liquor has a relatively high"
3260 PRINT "viscosity and the crystals are small"
3270 PRINT "and nonuniform."
3280 GOSUB 3920
3290 PRINT
3300 PRINT
3310 PRINT "To summarize, crystallization from"
3320 PRINT "solution is an attractive method of"
3330 PRINT "purifying materials that are "
3340 PRINT "marketed in crystalline form. The"
3350 PRINT "process generally operates at "
3360 PRINT "low temperatures and low energy "
3370 PRINT "requirements when compared to other"
3380 PRINT "separation processes like distillation."
3390 PRINT "Extremely small crystals may be "
3400 PRINT "produced whose size and shape may be"
3410 PRINT "controlled by a number of factors,"
3420 PRINT "a few of which were mentioned in"
3430 PRINT "this tutorial."
3440 PRINT
3450 PRINT
3460 INPUT "TYPE RETURN FOR A BRIEF EXERCISE";A$
3470 GOTO 3590
3480 CLS
3490 FOR X= 2 TO 10
3500 LOCATE 4+X,X
3510 PRINT "QUIZ TIME"
3520 NEXT
3530 PRINT
3540 PRINT"Please use capital letters for quiz."
3550 PRINT
3560 INPUT "TYPE RETURN TO CONTINUE";A$
3570 CLS
3580 RETURN
3590 REM Crystal formation, H. Bungay 1988
3600 CLS
3610 PRINT"See what happens if crystals"
3620 PRINT"form too rapidly.":PRINT
3630 LOCATE 3,7
3640 INPUT"Time (1 to 10) ",TI
3650 CLS
3660 Y=160
3670 C=1:R=4
3680 XP=8
3690 CIRCLE(XP,Y),R,C
3700 IF R=5 THEN FL=FL+1
3710 C=2
3720 R=5
3730 SP=8
3740 FOR N=1 TO TI
3750 GOSUB 3850
3760 NEXT
3770 XP=XP+SP
3780 IF XP<300 THEN 3690
3790 Y=Y-8
3800 XP=8
3810 IF FL>1 THEN XP=FL+4
3820 IF Y>40 THEN FL=0:GOTO 3690
3830 LOCATE 1,1
3840 GOTO 3640
3850 Q=RND(Q)
3860 IF Q>.4 THEN 3880
3870 RETURN
3880 C=1
3890 R=4
3900 SP=10
3910 GOTO 3870
3920 LOCATE 22,1
3930 INPUT "TYPE RETURN TO CONTINUE";A$
3940 CLS
3950 RETURN
3960 LOCATE 2,8
3970 PRINT "QUESTION NUMBER ";Q
3980 PRINT
3990 PRINT
4000 RETURN
