10 REM STELIOS T. TZANNIS - RPI 1991
20 REM "TUTORIAL ON CELL DISRUPTION"
30 REM
35 REM KEY OFF
40 REM SCREEN 1,0
45 CLS
47 PRINT "  TUTORIAL ON CELL DISRUPTION  "
48 LOCATE 6,1
50 PRINT "A lot of biological molecules are"
60 PRINT "inside the cell, and they must be released from it."
80 PRINT "This is achieved by cell disruption"
81 PRINT "(lysis)."
90 GOSUB 5920
100 PRINT "Cell disruption is a sensitive process,"
110 PRINT "because of the cell wall's resistance to"
120 PRINT "the high osmotic pressure inside them."
130 PRINT "Furthermore, difficulties arise from"
140 PRINT "a non-controlled cell disruption,"
150 PRINT "that results from an unhindered release"
160 PRINT "of all intracellular products (proteins"
170 PRINT "nucleic acids, cell debris) as well"
175 PRINT "as the requirements for cell disruption"
180 PRINT "without the desired product's "
190 PRINT "denaturation."
200 GOSUB 5920
210 PRINT "There are mechanical and non-mechanical"
220 PRINT "cell disruption methods.
225 LOCATE 7,1
230 PRINT "The results of these methods are often"
240 PRINT "evaluated in terms of the activity"
250 PRINT "level of a cellular enzyme released to"
260 PRINT "the disrupted suspension, combining the"
270 PRINT "efficiency of the disrupting process"
280 PRINT "with an estimate of the degree of"
290 PRINT "cell disruption."
300 GOSUB 5920
310 PRINT " A. MECHANICAL METHODS"
320 LOCATE 6,1
330 PRINT "Currently, release of intracellular"
340 PRINT "products from microorganisms is obtained"
350 PRINT "mainly by mechanical disruption of"
360 PRINT "the cells. In this process, the cell"
370 PRINT "envelope is physically broken, releasing"
380 PRINT "all intracellular components into"
390 PRINT "the surrounding medium."
400 GOSUB 5920
410 PRINT "Some of the equipment that involve such"
420 PRINT "forces for the cell disruption are:"
430 LOCATE 4,1
440 PRINT "1. Homogenizers "
445 LOCATE 6,1
450 PRINT "An homogenizer has pumping of a "
470 PRINT "slurry through a restricted orifice"
480 PRINT "valve. They use high pressure (up to"
490 PRINT "1500 bar), followed by an instant"
500 PRINT "expansion through a special exiting"
510 PRINT "nozzle. Cell disruption is accomplished"
520 PRINT "by three different mechanisms:"
530 PRINT "impegment on the valve, high liquid"
540 PRINT "shear in the orifice, and sudden"
550 PRINT "pressure drop upon discharge, causing"
560 PRINT "finally an explosion of the cell."
570 LOCATE 19,1
580 PRINT "The method is applied mainly for the"
590 PRINT "release of intracellular molecules."
600 GOSUB 5920
610 PRINT "According to Hetherington et al., cell"
620 PRINT "disruption (and consequently the rate"
630 PRINT "of protein release) is a first-order"
640 PRINT "process, described by the relation :"
650 LOCATE 6,1
660 PRINT "   log[Rm/(Rm-R)] = K N P72.9"
670 LOCATE 8,1
680 PRINT "R : is the amount of soluble protein"
690 PRINT "Rm: maximum amount of soluble protein"
700 PRINT "K : Temperature dependent rate constant"
710 PRINT "N : number of passes through the homoge-"
720 PRINT "  nizer (represents the residence time)."
730 PRINT "P : operating pressure."
740 GOSUB 5920
745 LOCATE 3,1
750 PRINT "2. Ball Mills"
760 LOCATE 5,1
770 PRINT "In a ball mill, cells are agitated in "
780 PRINT "suspension with small abrasive particles.
790 PRINT "Cells break due to shear forces, "
800 PRINT "grinding between beads, and collisions"
810 PRINT "with beads. The beads, due to the "
820 PRINT "intensive agitaton, disrupt the cells,"
830 PRINT "agitaton, disrupt the cells, while"
840 PRINT "releasing biomolecules. The kinetics of"
850 PRINT "biomolecule release by this method is"
860 PRINT "also a first-order process."
870 GOSUB 5920
880 PRINT "3. Ultrasonic disruption"
890 LOCATE 4,1
900 PRINT "Another, widely applied, method is the"
910 PRINT "cell lysis with high frequency sound"
920 PRINT "that is produced electronically and "
930 PRINT "transported through a metallic tip to"
940 PRINT "an appropriately concentrated cellular"
950 PRINT "suspension. Because of very high costs"
960 PRINT "it is only used at laboratory scale"
970 PRINT "for lysis of cells with less resistant"
980 PRINT "cell walls, such as bacteria and fungi.
990 PRINT "The concept of ultrasonic disruption is
1000 PRINT "based on the creation of cavities in"
1010 PRINT "cell suspension."
1020 PRINT "Blenders (high speed or Waring), the french "
1030 PRINT "press, even centrifugation in case"
1040 PRINT "of weak cell walls, also disrupt the"
1050 PRINT "cells by using the same concepts."
1070 GOSUB 5920
1080 PRINT "Disadvantages of Mechanical Disruption"
1090 LOCATE 4,1
1100 PRINT "Mechanical disruption methods suffer"
1110 PRINT "from several drawbacks. Because cells"
1120 PRINT "are broken completely, all intracellular"
1130 PRINT "materials are released. Therefore, the"
1140 PRINT "product of interest must be separated"
1150 PRINT "from a complex mixture of proteins,"
1160 PRINT "nucleic acids, and cell wall fragments."
1170 PRINT "Released nucleic acids may increase the"
1180 PRINT "viscocity of the solution and may "
1190 PRINT "complicate subsequent processing steps"
1200 PRINT "and especially chromatography, in case"
1210 PRINT "of laboratory experiments.
1215 GOSUB 5920
1220 PRINT "The cell debris, produced by mechanical"
1230 PRINT "lysis, often consists of small cell
1240 PRINT "fragments, making the solution diffi"
1250 PRINT "cult to clarify. Complete product "
1260 PRINT "release often requires more than one"
1270 PRINT "pass through the disruption device,"
1280 PRINT "exacerbating the problem by further"
1290 PRINT "reducing the size of the fragments."
1300 PRINT "These are difficult to remove by conti"
1310 PRINT "nuous centrifugation, because the"
1320 PRINT "throughput of the device is inversely"
1330 PRINT "related to the square of the particle."
1340 PRINT "diameter. Filtration is complicated by"
1350 PRINT "the gelatinous nature of the homogenate"
1360 PRINT "and by its tendency to foul membranes"
1370 PRINT "Furthermore, mechanical methods expose"
1380 PRINT  "the cells, and hence the extracted"
1390  PRINT "product in very harsh conditions."
1400 GOSUB 5920
1410 LOCATE 4,1
1420 PRINT "While it is now generally accepted "
1430 PRINT "that most proteins can tolerate the"
1440 PRINT "and the high pressure inside an"
1450 PRINT "homogenizer or a ball mill, most will"
1460 PRINT "be denaturated by the heat generated"
1470 PRINT "unless the device is sufficiently "
1480 PRINT "cooled.
1490 GOSUB 5920
1500 PRINT"  B. NON MECHANICAL METHODS "
1510 LOCATE 3,1
1520 PRINT "Another way to disrupt the cells is"
1530 PRINT "to cause their permeabilization."
1540 PRINT "This can be acheived by numerous
1550 PRINT "methods. The most important are :"
1560 LOCATE 8,1
1570 PRINT "1. Chemical Permeabilization"
1575 LOCATE 10,1
1580 PRINT "Many chemical methods have been "
1590 PRINT "employed in order to extract intra"
1600 PRINT "cellular components from micro"
1610 PRINT "organisms by permeabilizing the"
1620 PRINT "outer-wall barriers."
1630 PRINT "It can be achieved with organic"
1640 PRINT "solvents, which act by creation of
1650 PRINT "canals through the cell membrane:
1660 PRINT "toluene, ether,phenylethyl alcohol"
1670 PRINT "DMSO, benzene, methanol, chloroform"
1680 GOSUB 5920
1690 PRINT "Chemical permeabilization can also be"
1700 PRINT "achieved with antibiotics, thionins,
1710 PRINT "surfactants (Triton, Brij, Duponal)
1720 PRINT "chaotropic agents, and chelates."
1730 LOCATE 7,1
1740 PRINT "A very important case is "
1750 PRINT "EDTA (chelating agent) widely used"
1760 PRINT "for permeabilization of Gram negative"
1770 PRINT "microorganisms. Its effectiveness is"
1780 PRINT "a result of its ability to bond the "
1790 PRINT "divalent cations of Ca++, Mg++. The"
1800 PRINT "last ones stabilize the structure of "
1810 PRINT "outer membranes, by bonding the "
1820 PRINT "lipopolysaccharides to each other."
1830 PRINT "Once, these cations are removed from"
1840 PRINT "the EDTA, the lipopolysaccharides are
1850 PRINT "removed, resulting to increased"
1860 PRINT "permeability areas of the outer walls"
1870 GOSUB 5920
1871 PRINT "Chaotropic agents, such as urea and"
1872 PRINT "guanidine are capable of bringing some"
1873 PRINT "hydrophobic compounds into aqueous"
1874 PRINT "solutions. They accomplish this by "
1875 PRINT "disrupting the structure of water, "
1876 PRINT "making it a less hydrophilic enviro"
1877 PRINT "nment and weakening the hydrophobic"
1878 PRINT "interactions among solute molecules."
1879 GOSUB 5920
1880 PRINT "2. Mechanical Permeabilization"
1890 LOCATE 4,1
1900 PRINT "One method employed is the osmotic"
1910 PRINT "shock. While cells are exposed to"
1920 PRINT "slowly varying extracellular osmotic"
1930 PRINT "pressure are usually able to adapt"
1940 PRINT "to such changes, cells exposed to "
1950 PRINT "rapid changes in external osmolarity,"
1960 PRINT "ca be mechanically injured. This"
1970 PRINT "procedure is typically conducted by"
1980 PRINT "first allowing the cells to equilibrate"
1990 PRINT "internal and external osmotic "
2000 PRINT "pressure in a high sucrose medium,"
2010 PRINT "and then rapidly diluting away the "
2020 PRINT "sucrose. The resulting immediate
2030 PRINT "overpressure of the cytosol is "
2040 PRINT "is assumed to account for damage to"
2050 PRINT "the cell membrane. Enzymes released"
2060 PRINT "by this method are believed to be "
2070 PRINT "periplasmic, or at least located "
2080 PRINT "near the surface of the cell."
2090 GOSUB 5920
2100 PRINT "3. Enzymatic Permeabiization"
2110 LOCATE 4,1
2120 PRINT "Enzymes can also be employed to "
2130 PRINT "permeabilize cells, but this method"
2140 PRINT "is often limited to releasing"
2150 PRINT "periplasmic or surface enzymes."
2160 PRINT "In these procedures, they often use "
2170 PRINT "EDTA in order to destabilize the outer
2180 PRINT "membrane of Gram negative cells, making"
2190 PRINT "the peptidoclycan layer accessible to"
2200 PRINT "the enzyme used. Enzymes used for "
2210 PRINT "enzymatic permeabilization are :
2220 PRINT "beta(1-6) and beta(1-3) glycanases,"
2230 PRINT "proteases, and mannase."
2240 LOCATE 17,1
2250 PRINT "The main drawbacks in employing"
2260 PRINT "enzymatic means for recovering"
2270 PRINT "intracellular products in large scale"
2280 PRINT "processes are cost, and the necessity"
2290 PRINT "of removing the lytic enzyme from the
2300 PRINT "product.
2310 GOSUB 5920
2320 PRINT "4.Other Permeabilization Techniques"
2330 LOCATE 4,1
2340 PRINT "Basic proteins, such as protamine, or "
2350 PRINT "the cationic polysaccharide chitosan"
2360 PRINT "can permeabilize yeast cells. Similarly,"
2370 PRINT "mammalian cells can be permeabilized by"
2380 PRINT "exposure to several natural substances"
2390 PRINT "such as streptolysin or even viruses."
2400 LOCATE 11,1
2410 PRINT "Electrical discharges have also been"
2420 PRINT "used to permeabilize mammalian cells"
2430 PRINT "in order to study secretion by exocytosis."
2440 GOSUB 5920
2450 PRINT "    REFERENCES
2460 LOCATE 4,1
2470 PRINT "1. J.E. Bailey & D.F. Ollis BIOCHEMICAL
2480 PRINT  "  Engineering Fundamentals, 2ND EDITION"
2490  PRINT "  Mc Graw-Hill, 1987."
2500 PRINT "2. T.J. Naglak, D.J. Hettwer, H.Y. Wang
2510 PRINT "   CHEMICAL PERMEABILIZATION OF CELLS
2520 PRINT "   for intracellular Product Release"
2530 PRINT "   in SEPARATION PROCESSES IN BIOTECH
2540 PRINT "   nology, MARCEL DEKKER INC, NY 1990."
2550 PRINT "3. J. Bulock & B. Christiansen, BASIC
2560 PRINT "   biotechnology, Academic Press, 1989."
2570 PRINT "4. J Brookman, Mechanism of cell"
2580 PRINT "   Integration in High Pressure Homo
2590 PRINT "   genizer, BIOTECH. & BIOENG., (1974),
2600 PRINT "   Vol. 16, p 371-383.
2605 GOSUB 5920
2610 PRINT "5. H. Felix, ANALYTICAL BIOCHEMISTRY"
2620 PRINT "   (1982) Vol. 107, p. 207-214.
2630 PRINT "6. H Felix, PERMEABILIZED CELLS, Anal.
2640 PRINT "   Biochem. (1982) Vol. 120, p. 211-234.
2650 PRINT "7. M. Follows, P.J. Hetherington,
2660 PRINT "   P. Dunnil, Release of Enzymes from"
2670 PRINT "   Baker's Yeast By Disruption In an"
2680 PRINT "   Industrial Homogenizer, BIOTECH. &
2690 PRINT "   Bioeng., (1971), Vol. 13, p.549-560"
2700 GOSUB 5920
3000 PRINT "THAT'S ALL FOLKS!!!"
3999 STOP
5920 LOCATE 23,1
5930 INPUT "TYPE ENTER KEY (RETURN)";Q
5940 CLS
5950 RETURN
