10 REM ISOELECTRIC PT. DEMO, H. BUNGAY 1987
20 KEY OFF
30 GOTO 590
40 CLS
50 SCREEN 1,1
60 INPUT"NUMBER OF SPECIES";P
70 FOR N=1 TO P
80 L(N)=140
90 PRINT"Isoelectric pt. of #";N
100 INPUT IP(N)
110 NEXT
120 CLS
130 SP=20
140 PRINT:INPUT" pH";PH
150 LOCATE 7,4:PRINT"+                              -"
160 LOCATE 22,1
170 FOR N=1 TO P
180 LINE(140,10)-(140,180)
190 C=N
200 IF C>3 THEN C=C-3
210 REM CIRCLE (R(N),SP*N),8,0
220 REM CIRCLE (L(N),SP*N),8,C
225 REM switch 210 & 220 if following will work
230 CIRCLE (R(N),SP*N),8,0,,,2*N/25-N*2
240 CIRCLE (L(N),SP*N),8,C,,,2*N/25-N*5
250 R(N)=L(N)
260 IF PH<IP(N) THEN 340
270 L(N)=L(N)+SQR(PH-IP(N))
280 NEXT
290 TI=TI+1
300 IF TI>40 THEN 380
310 LOCATE 22,1
320 PRINT TI
330 GOTO 170
340 L(N)=L(N)-SQR(IP(N)-PH)
350 GOTO 280
360 L(N)=L(N)-SQR(IP(N)-PH)
370 GOTO 280
380 INPUT"Hit RETURN";A$
390 CLS
400 PRINT"Now let's see this system in continuous flow."
410 FOR N= 1 TO P
420 L(N)=140
430 NEXT
440 YN=20
450 SF=.25
460 FOR N=1 TO P
470 LINE(140,10)-(140,180)
480 C=N
490 IF C>3 THEN C=C-3
500 CIRCLE (L(N),YN),2,C
510 IF PH<IP(N) THEN 570
520 L(N)=L(N)+SQR(PH-IP(N))*SF
530 NEXT
540 IF YN>170 THEN RETURN
550 YN=YN+1
560 GOTO 460
570 L(N)=L(N)-SQR(IP(N)-PH)*SF
580 GOTO 530
590 WIDTH 80
600 CLS
610 PRINT"         ELECTROPHORESIS"
620 PRINT"        ------------------"
630 PRINT"by Stacey Dole and John Szegner
640 PRINT"    A large portion of biochemical      "
650 PRINT"investigation is concerned with the "
660 PRINT"isolation and characterization of   "
670 PRINT"proteins.  Electrophoresis is an    "
680 PRINT"effective method for separating and   "
690 PRINT"identifying proteins.                 "
700 GOSUB 2040
710 PRINT"   Proteins are polypeptides or      "
720 PRINT"polymers whose amino acid side chains"
730 PRINT"give the protein its unique character."
740 PRINT"Two characteristics of proteins which "
750 PRINT"are important in separating them are: "
760 PRINT"       -the size of the molecules     "
770 PRINT"       -the charge of the molecules   "
780 PRINT"          which varies with pH        "
790 GOSUB 2040
800 PRINT"  Two side chains which are responsible"
810 PRINT"for the charge on the protein are:     "
820 PRINT"      -Carboxylic acid side chains (-COOH)"
830 PRINT"      -Amine side chains (-NH2)        "
840 PRINT"The number of these positive and negative"
850 PRINT"side chains determines the overall charge"
860 PRINT"on the protein.  The relative amounts of "
870 PRINT"these positive and negative charges is a "
880 PRINT"function of pH.                          "
890 PRINT"    -at low pH, there are more ammonium  "
900 PRINT"       (-NH3+) and carboxylic (-COOH) groups"
910 PRINT"    -at high pH, the protein has more amine"
920 PRINT"       (-NH2) and carboxylate (-COO-) groups"
930 PRINT "The pH at which the total charge on the"
940 PRINT"protein is zero is called the isoelectric point."
950 GOSUB 2040
960 PRINT"Electrophoresis separates charged molecules"
970 PRINT"according to their rates of migration in an"
980 PRINT"electric field.  The rate of migration of a"
990 PRINT"protein is determined by its isoelectric point, pI,"
1000 PRINT"and the pH of the solution through which it moves."
1010 PRINT "At its isoelectric point, the protein is"
1020 PRINT"immobilized in the electric field.  However,"
1030 PRINT"a protein with a net charge will move"
1040 PRINT"towards an electrode of opposite charge.  "
1050 PRINT"This is illustrated in the following program."
1060 INPUT "HIT ANY KEY", NEXTPAGE
1070 GOSUB 40
1080 GOSUB 2040
1090 PRINT"NOW LETS HAVE A LITTLE QUIZ."
1100 GOSUB 2040
1110 WIDTH 80
1120 PRINT"As the pH of the solution deviates from"
1130 PRINT"the isoelectric point of the protein,"
1140 PRINT"the protein will: "
1150 PRINT"1) travel faster"
1160 PRINT"2) travel slower"
1170 PRINT"3) be unaffected"
1180 PRINT"4) become immobile"
1190 INPUT Q
1200 IF Q=1 THEN 1230
1210 PRINT "PLEASE TRY AGAIN"
1220 GOTO 1120
1230 PRINT "VERY GOOD.  NOW LET'S TRY ANOTHER."
1240 PRINT"  "
1250 PRINT" "
1260 GOSUB 2040
1270 PRINT "The protein becomes immobile :"
1280 PRINT "1) at the isoelectric point"
1290 PRINT "2) when the electrostatic forces are greater "
1300 PRINT "      than the drag forces caused by the solution"
1310 PRINT"3) neither 1) or 2)"
1320 PRINT"4) both 1) and 2)"
1330 INPUT P
1340 IF P=4 THEN 1370
1350 PRINT"PLEASE TRY AGAIN"
1360 GOTO 1270
1370 PRINT"VERY GOOD. NOW LET'S TRY ANOTHER"
1380 PRINT" "
1390 PRINT" "
1400 GOSUB 2040
1410 PRINT"As the pH of the solution increases:"
1420 PRINT"1)  the proportion of(NH2) side groups increases"
1430 PRINT"2)  the proportion of(COO-) groups decreases"
1440 PRINT"3)  the proportion of(NH3+) and (COOH) groups increases"
1450 INPUT R
1460 IF R=1 THEN 1490
1470 PRINT"PLEASE TRY AGAIN"
1480 GOTO 1410
1490 PRINT"VERY GOOD."
1500 GOSUB 2040
1510 PRINT"In electrophoresis, charged molecules are"
1520 PRINT"separated or identified by the following methods"
1530 PRINT"   -paper electrophoresis"
1540 PRINT"   -gel electrophoresis"
1550 PRINT"   -SDS-PAGE (Sodium dodecyl sulfate-polyacrylamide"
1560 PRINT"                      gell electrophoresis"
1570 PRINT"   -isoelectric focusing"
1580 GOSUB 2040
1590 PRINT"Paper electrophoresis separates ions largely"
1600 PRINT"by their charge, rather than by their polarity (T/F)"
1610 PRINT"(Enter 1 for True and 2 for False)"
1620 INPUT Q
1630 IF Q=1 THEN GOTO 1660
1640 IF Q=2 THEN PRINT "PLEASE TRY AGAIN"
1650 GOTO 1590
1660 PRINT"VERY GOOD"
1670 GOSUB 2040
1680 PRINT "Gel electrophoresis reduces the mixing"
1690 PRINT "of proteins due to convection (T/F)."
1700 PRINT "(Enter 1 for True and 2 for False)"
1710 INPUT Q
1720 IF Q=1 THEN GOTO 1750
1730 IF Q=2 THEN PRINT "PLEASE TRY AGAIN"
1740 GOTO 1680
1750 PRINT "VERY GOOD"
1760 GOSUB 2040
1770 PRINT "The electrophoresis of proteins in an "
1780 PRINT "SDS-containing gel separates them"
1790 PRINT" according to their charges because of"
1800 PRINT" gel filtration effects (T/F)"
1810 PRINT" (Enter 1 for True and 2 for False)"
1820 INPUT Q
1830 IF Q = 2 THEN GOTO 1860
1840 IF Q=1 THEN PRINT "PLEASE TRY AGAIN"
1850 GOTO 1770
1860 PRINT "CORRECT"
1870 PRINT "SDS-containing gel separates proteins"
1880 PRINT "in order of their molecular masses."
1890 GOSUB 2040
1900 PRINT "If a mixture of proteins is electrophoresed"
1910 PRINT "through a solution having a stable pH"
1920 PRINT "gradient in which the pH smoothly increases"
1930 PRINT "from anode to cathode, each protein will"
1940 PRINT "migrate to the position in the pH gradient"
1950 PRINT" corresponding to its isoelectric point (T/F)"
1960 PRINT" (Enter 1 for True and 2 for False)"
1970 INPUT Q
1980 IF Q=1 THEN GOTO 2010
1990 IF Q=2 THEN PRINT "PLEASE TRY AGAIN"
2000 GOTO 1900
2010 PRINT "THAT IS CORRECT"
2020 PRINT"End of program
2030 STOP
2040 LOCATE 23,1
2050 INPUT"Hit ENTER (RETURN) TO MOVE ON ";A$
2060 CLS
2070 RETURN
