10 REM  Electrodialysis, H. Bungay 1990
20 CLS
25 KEY OFF
30 SCREEN 1,1
35 WIDTH 80
40 XMAX=500
50 PRINT"Electrodialysis uses electromotive force to aid
60 PRINT"a membrane process."
70 PRINT
80 PRINT"Membranes that allow the passage of only ions of
90 PRINT"positive or of negative charge are used for converting
100 PRINT"salt water to drinkable water.
110 PRINT
120 PRINT"This method is impractical for making water totally free of
130 PRINT"salt because distilled water conducts electricity very poorly.
140 PRINT"Most drinking water has tolerably low levels of salt anyway.
150 GOSUB 4000
160 PRINT"The one-way membranes are made of ion-exchange materials.
170 PRINT"For example, an ion-exchange polymer that has sulfonic groups
180 PRINT"  -SO3H    that ionizes to  -SO3 -
190 PRINT"will trade one positive ion for another.  A membrane of this
200 PRINT"material will pass positive ions, but the negative charge
210 PRINT"repells negatively charged ions.
220 PRINT
230 PRINT"Conversely a membrane made of ion-exchange polymer with
240 PRINT"  -NR3 +  that is a quaternary amine with permanent + charge
250 PRINT"will pass negative ions and repell positive ions.
260 GOSUB 4000
270 PRINT"The membrane units are stacked so that an anode at one end
280 PRINT"and a cathode at the other will cause electrical current
290 PRINT"to pass through all the units.
300 PRINT
310 PRINT"The next panel shows a sketch.
315 GOSUB 4000
320 GOSUB 1050
330 PRINT"The shaded or colored areas of the sketch are the collection
340 PRINT"or waste compartments.
350 PRINT
360 PRINT"All operations of this type generate two streams - one that is
370 PRINT"less concentrated than the feed and one that is more concentrated.
380 PRINT
390 PRINT"The raw feed into the clear compartments loses ions through
400 PRINT"the membranes and becomes less concentrated.
410 PRINT
420 PRINT"Headers collect the process streams.  Only one header is shown
430 PRINT"and that is for the waste stream.
440 GOSUB 4000
450 GOSUB 1050
999 END
1050 ST=XMAX/10
1060 X1=20
1070 LINE(X1-1,15)-(XMAX,160),,B
1075 LINE(X1+4,170)-(XMAX+20,172),2,BF
1080 LINE(X1,23)-(X1+ST/3,160),2,BF
1085 LINE(X1+4,161)-(X1-4+ST/3,170),2,BF
1090 LINE(X1+1+ST/3,20)-(X1+ST/2,160),,BF
1100 LINE(X1+5*ST/6,20)-(X1-1+ST,160),,BF
1110 X1=X1+ST
1120 IF X1<(.9*XMAX) THEN 1080
1130 LINE(X1,23)-(XMAX-1,160),2,BF
1140 LINE(X1+4,170)-(XMAX+20,172),2,BF
1150 LINE(X1+4,161)-(X1-4+ST/3,170),2,BF
1160 GOSUB 4000
1170 RETURN
4000 LOCATE 23,1
4010 INPUT"Hit ENTER to move on ";A$
4020 CLS
4030 RETURN
