10 DIM N(71),XX(400),XX1(400),XX2(400),XX3(400),XX4(400)
12 KEY OFF
14 SCREEN 1,1
16 WIDTH 80
20 GOTO 2050
30 ' FERMT GAME,  H. BUNGAY 1970 , NEW COEFF 1-87, improved Vince Torti, 1990
50 CLS
60 ' ***** INTRODUCTION *****
70  PRINT "FERMT, A FERMENTATION PROCESS DEVELOPMENT GAME
80 PRINT
90  PRINT "The objective of this game is to optimize profit.  A player has"
100  PRINT "ten fermenters with which to experiment.
110  PRINT "Expected yield and profit are computed for a full-scale production
120  PRINT "batch.  The player thus submits ten different recipe formulations
130  PRINT "and gets back some data and profit figures.  The problem is to use
140 PRINT"information to plan the next run well."
150 PRINT"Most things are harmful if too much is added."
160 PRINT
170  PRINT "The process is two-stage in that growth and
180  PRINT "product formation occur separately.  Some things which are good for
190  PRINT "growth are bad for product formation, and several of the variables
200  PRINT "interact in producing effects.  The computer program for the model
210  PRINT "is not shown to the player.
220 PRINT : PRINT
230 INPUT"Hit return key ";A$
240 CLS
250  PRINT "Variables to be manipulated:  (All ingredients are % by weight.)"
260  PRINT "Inoculum.  This is expressed as per cent of seed culture."
270 PRINT"  You want abundant growth quickly to leave time for production"
280  PRINT "to do something.  Scheduling restraints for the plant define"
290 PRINT"a fixed total time for a run."
300 PRINT
310  PRINT "
320  PRINT "Oil.  Oil is a nutrient which can substitute for sugar except that
330  PRINT "excess oil is harmful to both growth and to product formation.  Oil
340  PRINT "also serves as an antifoam agent.  High air flows promote foaming
350  PRINT "and greatly increase oil consumption.
360  PRINT "
370  PRINT  "Although air is cheap, high aeration is harmful because"
380 PRINT" it causes foaming that calls for excessive oil for foam control."
390 PRINT"Air units are volume (STP) per fermenter volume per minute. Two VVM"
400  PRINT "would probably be impossible for a real process.  While
410  PRINT "there is no upper restraint on this hypothetical process, antifoam
420  PRINT "oil usage becomes astronomical.
430 PRINT
440 PRINT"Vitamins.  This is a catchall for trace ingredients.
450 PRINT
460 PRINT : INPUT"Hit return key ";A$
470 CLS
480  PRINT "The computer says the run was contaminated if
490  PRINT "specifications are out of line.  Common sense is of some help to
500  PRINT "the player in that inoculum cannot be zero and vitamins are used
510  PRINT "in much smaller amounts than is sugar.
520  PRINT "
530  PRINT "HINTS:
540  PRINT "
550  PRINT "1.  Use more sugar than nitrogenous compounds.
560  PRINT "
570  PRINT "2.  Too much of anything is bad.
580  PRINT "
590  PRINT "PLEASE HAND IN YOUR BEST RESULTS.
600 INPUT"Hit return key ";A$
610 CLS:GOSUB 2830
620 F=8
630 GOSUB 2210
640 PRINT:PRINT"The game is set up for";F; " fermenters."
650 PRINT"If you want a different number, stop and change F in"
660 PRINT"Command 620."
670 INPUT"Hit RETURN";A$
680 GOSUB 960
690 ' ***** MAIN PROGRAM LOOP *****
700 FOR J=1 TO F
710 CLS:PRINT:PRINT:PRINT:PRINT:PRINT
720 PRINT"RUN INOC.   SUGAR    OIL   SOYMEAL DIST.SOL. AIR     VIT."
730 PRINT J;TAB(5);N(J);TAB(13);N(J+10);TAB(21);N(J+20);TAB(29);
740 PRINT N(J+30);TAB(37);N(J+40);TAB(45);N(J+50);TAB(53);N(J+60)
750 IF PFLAG<>1 THEN 790
760 LPRINT"RUN INOC.   SUGAR    OIL   SOYMEAL DIST.SOL. AIR     VIT."
770 LPRINT J;TAB(5);N(J);TAB(13);N(J+10);TAB(21);N(J+20);TAB(29);
780 LPRINT N(J+30);TAB(37);N(J+40);TAB(45);N(J+50);TAB(53);N(J+60)
790 GOSUB 1770
800 NEXT J
810 CLS:PRINT:PRINT"END OF EXPERIMENT."
820 IF PFLAG<>1 THEN 840
830 LPRINT"END OF EXPERIMENT."
840 PRINT
850 PRINT "PRESS:"
860 PRINT "     [SPACE BAR]  TO PLAY ANOTHER GAME"
870 PRINT "     [M]          TO RETURN TO MAIN MENU"
880 PRINT "     [Q]          TO QUIT"
890 A$=INKEY$:IF A$="" THEN 890
900 IF A$=" "THEN 680
910 IF A$="M" OR A$="m" THEN 2050
920 IF A$="Q" OR A$="q" THEN END
930 GOTO 890
940 ' ***** END OF MAIN PROGRAM LOOP *****
950 ' ***** DATA INPUT PROGRAM BEGINNING *****
960 FOR J=1 TO F
970 GOSUB 2740
980 PRINT "INPUT DATA FOR FERMENTOR #"J
990 INPUT"INOC. ";N(J)
1000 INPUT"SUGAR    ";N(J+10)
1010 INPUT"OIL      ";N(J+20)
1020 INPUT"SOYMEAL  ";N(J+30)
1030 INPUT"DIST. SOL";N(J+40)
1040 INPUT"AIR     ";N(J+50)
1050 INPUT"VITAMINS";N(J+60)
1060 INPUT"IS THE ABOVE INFO CORRECT? (Y/N)";A$
1070 IF (A$="N") OR (A$="n") THEN GOTO 970
1080 IF (A$="Y") OR (A$="y") THEN GOTO 1100
1090 GOTO 1060
1100 NEXT J
1110 GOSUB 2740
1120 RETURN
1130 ' ***** GRAPH AND PLOTTING SUBROUTINE *****
1140 REM SCREEN 1,1
1150 CLS
1160 WIDTH 80
1170 ' ** SET UP GRAPHS **
1180 LINE (25,10)-(25,70):LINE -(220,70)
1190 LOCATE 1,7:PRINT "C E L L  G R O W T H"
1200 LOCATE 10,15:PRINT"time"
1210 LOCATE 6,1:PRINT"[c]"
1220 LINE (325,10)-(325,70):LINE -(545,70)
1230 LOCATE 1,47:PRINT "O I L  C O N S U M P T I O N"
1240 LOCATE 10,52:PRINT"time"
1250 LOCATE 6,38:PRINT"[o]"
1260 LINE (25,110)-(25,170):LINE -(220,170)
1270 LOCATE 12,7:PRINT "P R O D.  Y I E L D"
1280 LOCATE 22,15:PRINT"time"
1290 LOCATE 19,1:PRINT"[p]"
1300 ' ** PLOT GRAPHS IN THE SAME ORDER **
1310 Z1=60/(XX1(XX)-XX1(1))
1320 FOR GX1=25 TO ((2*XX)+25) STEP 2
1330 GY1=70-(Z1*(XX1((GX1-25)/2)-XX1(1)))
1340 PSET (GX1,GY1)
1350 NEXT GX1
1360 TT=XX:Z1=60/(XX2(TT)-XX1(1))
1370 TFLAG=0
1380 FOR GX1=325 TO ((2*TT)+325) STEP 2
1390 TT=((GX1-325)/2)
1400 GY1=71-(Z1*(XX2(TT)-XX2(1)))
1410 PSET (GX1,GY1)
1420 NEXT GX1
1430 FOR GX1 = 1 TO XX: GOSUB 1660:XX4(GX1)=Y:NEXT GX1
1440 Z1=60/((XX4(XX)+1)-XX4(1))
1450 FOR GX1=25 TO ((2*XX)+25) STEP 2
1460 GY1= 170 - (Z1*(XX4((GX1-25)/2)-XX4(1)))
1470 PSET (GX1,GY1)
1480 NEXT GX1
1490 ' ** DISPLAY TEXT RESULTS **
1500 LOCATE 11,30:PRINT"#"J;"TOTAL GROWTH:";X
1510 LOCATE 12,34:PRINT"TOTAL OIL:";G
1520 LOCATE 13,34:PRINT"PRODUCT FORMATION AT";XX;"HOURS"
1530 LOCATE 14,34:PRINT"YIELD:   ";Y
1540 LOCATE 15,34:PRINT"COST: $";C0
1550 LOCATE 16,34:PRINT"PROFIT = $";P8
1560 LOCATE 17,38:PRINT"INOCULUM-";N(J)
1570 LOCATE 18,34:PRINT"SUGAR----";N(J+10)
1580 LOCATE 19,34:PRINT"OIL------";N(J+20)
1590 LOCATE 20,34:PRINT"SOYMEAL--";N(J+30)
1600 LOCATE 18,50:PRINT"DIST. SOL";N(J+40)
1610 LOCATE 19,50:PRINT"AIR------";N(J+50)
1620 LOCATE 20,50:PRINT"VITAMINS-";N(J+60)
1630 LOCATE 22,36:PRINT"PRESS RETURN WHEN READY";
1640 INPUT A$:RETURN
1650 ' ** YIELD FINDING SUBROUTINE **
1660 A2=1
1670 IF XX1(GX1)<5*N(J+50) THEN 1690
1680 A2=4*N(J+50)/XX1(GX1)
1690 Y7=(2+XX2(GX1))/(3*XX2(GX1))
1700 Y1=XX3(1)/(.01+.3*XX3(1)*XX3(1)+.8*XX3(1)*XX3(2))
1710 Y2=XX3(2)/(.014+XX3(2)*XX3(2)+.5*XX3(1)*XX3(2))
1720 Y8=XX3(3)/(.001+.1*XX3(3)+10*XX3(3)*XX3(3))
1730 Y=Y8*Y1*Y2*XX1(GX1)*A2*(96-XX)
1740 RETURN
1750 ' ***** END OF GRAPH AND PLOTTING PROGRAM *****
1760 ' ***** MAIN DATA GENERATING SUBROUTINE BEGINNING *****
1770 FOR K= 0 TO 60 STEP 10
1780 IF N(J+K)>0 THEN 1840
1790 PRINT"RUN CONTAMINATED":PRINT:PRINT"HIT ANY KEY.";
1800 A$=INKEY$:IF A$="" THEN 1800
1810 IF PFLAG<>1 THEN 2010
1820 LPRINT"RUN CONTAMINATED"
1830 GOTO 2010
1840 IF N(J+K)>10 THEN 1820
1850 NEXT K
1860 GOSUB 2880
1870 GFLAG=0:PRINT" PRESS:":PRINT"  [G]  FOR A GRAPHICAL ANALYSIS OF THE DATA,"
1880 PRINT"       ANY OTHER KEY FOR SIMPLE RESULTS"
1890 A$=INKEY$:IF A$="" THEN 1890
1900 IF A$="G" OR A$="g" THEN GFLAG=1
1910 IF GFLAG=1 THEN GOSUB 1140
1920 IF GFLAG=1 THEN GOTO 1980
1930 PRINT"TOTAL GROWTH =";X,"TOTAL OIL =";G
1940 PRINT"YIELD =";Y,"PROFIT = $";P8
1950 PRINT
1960 PRINT" PRESS ANY KEY TO CONTINUE."
1970 A$=INKEY$:IF A$="" THEN 1970
1980 IF PFLAG<>1 THEN 2020
1990 LPRINT"TOTAL GROWTH =";X,"TOTAL OIL =";G
2000 LPRINT"YIELD =";Y,"PROFIT = $";P8
2010 LPRINT
2020 RETURN
2030 ' ***** END OF MAIN DATA GENERATING SUBROUTINE *****
2040 ' ***** MAIN MENU DISPLAY BEGINNING *****
2050 CLS
2060 PRINT:PRINT"                         THE FERMENTATION GAME"
2070 PRINT:PRINT"                           BY: H. BUNGAY  1970
2080 PRINT:PRINT:PRINT:PRINT"                              MAIN MENU"
2090 PRINT:PRINT"    PRESS:"
2100 PRINT"     [I]  FOR AN INTRODUCTION BEFORE THE GAME"
2110 PRINT"     [F]  TO GO STRAIGHT INTO THE GAME"
2120 PRINT"     [G]  TO GO TO A SINGLE FERMENTER STUDY GAME"
2130 PRINT"     [Q]  TO QUIT "
2140 A$=INKEY$:IF A$="" THEN 2140
2150 IF A$="I" OR A$="i" THEN 30
2160 IF A$="F" OR A$="f" THEN 610
2170 IF A$="G" OR A$="g" THEN 2310
2180 IF A$="Q" OR A$="q" THEN END
2190 GOTO 2140
2200 ' ** TURN ON PRINTER OUTPUT **
2210 PRINT:INPUT" DO YOU WANT RESULTS SENT TO THE PRINTER? (Y/N)";A$
2220 IF A$="Y" OR A$="y" THEN 2250
2230 IF A$="N" OR A$="n" THEN RETURN
2240 GOTO 2210
2250 PRINT"Be sure printer is turned on."
2260 PRINT:INPUT"HIT ANY KEY TO CONTINUE";A$
2270 PFLAG=1
2280 RETURN
2290 ' ***** END OF MAIN MENU DISPLAY *****
2300 ' ***** SINGLE FERMENTER FEDDBACK GAME (SFFG) *****
2310 GOSUB 2830:CLS:SCREEN 1,1
2320 WIDTH 80
2330 LOCATE 11,30:PRINT" SINGLE FERMENTER FEEDBACK GAME":J=1
2340 LOCATE 13,30:INPUT"INOCULUM";N(J)
2350 LOCATE 14,30:INPUT"SUGAR   ";N(J+10)
2360 LOCATE 15,30:INPUT"OIL     ";N(J+20)
2370 LOCATE 16,30:INPUT"SOYMEAL ";N(J+30)
2380 LOCATE 17,30:INPUT"DIST SOL";N(J+40)
2390 LOCATE 18,30:INPUT"AIR     ";N(J+50)
2400 LOCATE 19,30:INPUT"VITAMINS";N(J+60)
2410 LOCATE 21,30:INPUT"IS THE ABOVE INFO CORRECT? (Y/N)";A$
2420 IF A$="N" OR A$="n" THEN 2450
2430 IF A$="Y" OR A$="y" THEN 2460
2440 GOTO 2410
2450 GOSUB 2700:GOTO 2340
2460 GOSUB 2700:GOSUB 2580:GOSUB 1140
2470 GOSUB 2700:LOCATE 13,34:PRINT" PRESS:"
2480 LOCATE 14,34:PRINT"     [SPACE BAR]   TO RUN AGAIN"
2490 LOCATE 15,34:PRINT"     [R]   TO RETURN TO MAIN MENU"
2500 LOCATE 16,34:PRINT"     [Q]   TO QUIT"
2510 A$=INKEY$:IF A$="" THEN 2510
2520 IF A$=" " THEN 2310
2530 IF A$="R" OR A$="r" THEN 2050
2540 IF A$="Q" OR A$="q" THEN END
2550 GOTO 2510
2560 ' ***** END OF SFFG MAIN PROGRAM *****
2570 ' ***** FERMENTATION RESULTS SUBROUTINE FOR SFFG *****
2580 FOR K= 0 TO 60 STEP 10
2590 IF N(J+K)>0 THEN 2640
2600 LOCATE 12,30:PRINT"RUN CONTAMINATED":LOCATE 14,30:INPUT"HIT ANY KEY."; A$
2610 IF PFLAG<>1 THEN 2670
2620 LPRINT"RUN CONTAMINATED"
2630 GOTO 2470
2640 IF N(J+K)>10 THEN 2620
2650 NEXT K
2660 GOSUB 2880
2670 RETURN
2680 ' ***** END OF FERMENTATION RESULTS SUBROUTINE FOR SFFG *****
2690 ' ***** CLEAR SFFG WINDOW SUBROUTINE START *****
2700 FOR AA=11 TO 22:LOCATE AA,30:PRINT"                                      "
2710 NEXT AA:LOCATE 11,30:PRINT"SINGLE FERMENTER FEEDBACK GAME":RETURN
2720 ' ***** CLEAR SFFG WINDOW SUBROUTINE END *****
2730 ' ***** DISPLAY DATA SUBROUTINE START *****
2740 CLS
2750 PRINT:PRINT:PRINT"FERM.#    INOC.     SUGAR     OIL     SOYMEAL     DIST.SOL.    AIR     VIT."
2760 FOR ZZ=1 TO F
2770 PRINT TAB(4);ZZ;TAB(12);N(ZZ);TAB(22);N(ZZ+10);TAB(31);N(ZZ+20);TAB(41);
2780 PRINT N(ZZ+30);TAB(53);N(ZZ+40);TAB(63);N(ZZ+50);TAB(71);N(ZZ+60)
2790 NEXT ZZ
2800 PRINT:PRINT
2810 RETURN
2820 ' ***** DISPLAY DATA SUBROUTINE END *****
2830 REM reset subscripted variables
2840 FOR JJ=1 TO 400
2850 XX(JJ)=0:XX1(JJ)=0:XX2(JJ)=0:XX3(JJ)=0:XX4(JJ)=0
2860 NEXT
2870 RETURN
2880 C=50*N(J+10)+230*N(J)+10*N(J+50)+15*N(J+30)+18*N(J+40)
2890 C=C+N(J+60)
2900 P3=N(J+30)
2910 S=N(J+10)+.8*N(J+20)+.05*N(J+30)+.06*N(J+40)+.1*N(J)
2920 T=0:XX=0
2930 G=N(J+20)
2940 X=.02*N(J)
2950 A4=N(J+50)^4
2960 V=N(J+60)+.2*N(J+30)+.15*N(J+40)
2970 P1=P3+.3*N(J+40)
2980 P2=N(J+40)+.2*N(J+30)
2990 G1=.1*S/(.4+S)
3000 A1=G*V/((G+.5)*(V+.02+V*V*300))
3010 D1=G1*X
3020 IF X<3*N(J+50) THEN 3040
3030 D1=D1*4*N(J+50)/X
3040 X=X+D1
3050 T=T+1
3060 G=G+.03*A4
3070 S=S-1.3*D1+.02*A4
3080 XX=XX+1
3090 XX1(XX)=X
3100 XX2(XX)=G
3110 XX3(1)=P1
3120 XX3(2)=P2
3130 XX3(3)=V
3140 IF S<.05 THEN 3160
3150 IF T<96 THEN 2990
3160 PRINT"PRODUCT FORMATION BEGAN AT";T;"HOURS."
3170 IF PFLAG<>1 THEN 3190
3180 LPRINT"PRODUCT FORMATION BEGAN AT";T;"HOURS."
3190 REM IF T<48 THEN T=48-.2*(48-T)
3200 G=G+.03*A4*(96-T)
3210 C0=C0+100*G
3220 A2=1
3230 IF X<5*N(J+50) THEN 3250
3240 A2=4*N(J+50)/X
3250 Y7=(2+G)/(3*G)
3260 Y1=P1/(.01+.3*P1*P1+.8*P1*P2)
3270 Y2=P2/(.014+P2*P2+.5*P1*P2)
3280 Y8=V/(.001+.1*V+10*V*V)
3290 Y=Y8*Y1*Y2*X*A2*(96-T)
3300 P8=100*Y-C0
3310 RETURN
