10 CLS
20 KEY OFF:SCREEN 1,1
30 WIDTH 80
40 ' ******************************************************
50 '        This section prints the box on the
60 '                   TITLE PAGE
70 ' ******************************************************
80 LOCATE 8, 20
90 LINE(132,66)-(480,120),,B
100 LINE(129,64)-(483,122),,B
110 '******************************************************
120 LOCATE 10, 32
130 PRINT "Inclusion Bodies"
140 LOCATE 12, 39
150 PRINT "by"
160 LOCATE 14, 22
170 PRINT "Julianne Yantachka and E. Saltus, 93"
180 GOSUB 2330
190 '******************************************************
200 '            THE FIRST PAGE
210 '******************************************************
220 PRINT "Proteins are essential macromolecules"
230 PRINT "of the cell, sometimes comprising 50% of"
240 PRINT "the cell's dry weight.  Enzymes, a class"
250 PRINT "of proteins, are needed to catalyze "
260 PRINT "specific metabolic activities in the"
270 PRINT "cell.  "
280 PRINT : PRINT
290 PRINT "A protein that is folded correctly and "
300 PRINT "is active is considered to be in its"
310 PRINT "native state."
320 PRINT : PRINT : PRINT
330 GOSUB 2330
340 '******************************************************
350 '                  THE SECOND PAGE
360 '******************************************************
370 PRINT
380 PRINT "Protein structure has 4 levels:"
390 PRINT : PRINT
400 PRINT "   1)  Primary:  the specific sequence"
410 PRINT "       of amino acids in the chain."
420 PRINT
430 PRINT "   2)  Secondary:  the spatial pattern "
440 PRINT "       (often with helical portions)."
450 PRINT
460 PRINT "   3)  Tertiary:  folding of the protein"
470 PRINT "       chain upon itself stabilized by disulfide"
480 PRINT "       bridges and hydrogen bonding."
490 PRINT
500 PRINT "   4)  Quaternary:  interactions of 2 or"
510 PRINT "       more separate protein units."
520 GOSUB 2330
530 '******************************************************
540 '                 THE THIRD PAGE
550 '******************************************************
560 PRINT : PRINT
570 PRINT "Primary"
580 PRINT : PRINT : PRINT : PRINT : PRINT
590 PRINT "secondary"
600 PRINT : PRINT : PRINT : PRINT : PRINT
610 PRINT "tertiary"
620 LINE (100, 20)-(150, 20), 1
630 PRINT : PRINT : PRINT
640 FOR N = 108 TO 228 STEP 24
650    CIRCLE (N, 60), 16, 2, (3 * 3.14 / 2), 0
660    CIRCLE (N + 12, 60), 4, 2, 0, 3.14
670    CIRCLE (N + 24, 60), 16, 2, 3.14, (3 * 3.14 / 2)
680 NEXT N
690 '*********************************************************
700 A = .5
710 X = 152
720 Y = 125
730 R = 2
740 FOR M = 1 TO 30
750   X1 = X + R * COS(A)
760   Y1 = Y + R * SIN(A)
770   CIRCLE (X1, Y1), 4, 1
780   R = SQR((R * R) + 32)
790   A = A + ATN(8 / R)
800 NEXT M
810 LINE(167,113)-(173,112)
820 LINE(132,122)-(138,121)
830 PRINT : PRINT
840 GOSUB 2330
850 '************************************************************
860 '                  THE FOURTH PAGE
870 '************************************************************
880 PRINT : PRINT
890 PRINT "Denaturation of a protein is the    "
900 PRINT "disruption of its structure"
910 PRINT "while allowing it to retain its primary"
920 PRINT "and some of its secondary order.  This"
930 PRINT "causes the protein to lose its "
940 PRINT "biological activity."
950 PRINT : PRINT : PRINT
960 PRINT "The process can happen in vivo under"
970 PRINT "certain cell environmental conditions."
980 PRINT "It can also be caused in vitro by adding"
990 PRINT "denaturants such as urea, or by altering"
1000 PRINT "the solubility conditions."
1010 GOSUB 2330
1020 '************************************************************
1030 '                THE FIFTH PAGE
1040 '************************************************************
1050 PRINT : PRINT
1060 PRINT "Renaturation, or the folding of a "
1070 PRINT "denatured protein back into its native"
1080 PRINT "state, is sometimes possible.  The"
1090 PRINT "presence of ligands in the regenerative"
1100 PRINT "mixture can influence the rate and "
1110 PRINT "degree of renaturation.  In addition,"
1120 PRINT "molecular chaperones (proteins which"
1130 PRINT "act as catalysts) are sometimes"
1140 PRINT "required to produce the correct shape."
1150 GOSUB 2330
1160 '****************************************************
1170 '                THE SIXTH PAGE
1180 '****************************************************
1190 PRINT : PRINT
1200 PRINT "Proteins that are not properly folded"
1210 PRINT "associate to form large aggregates"
1220 PRINT "called inclusion bodies.  These protein"
1230 PRINT "clumps have been observed in both"
1240 PRINT "prokaryotic and eukaryotic cells.  They"
1250 PRINT "are located in the periplasmic space"
1260 PRINT "or the cytoplasm of the cell."
1270 GOSUB 2330
1280 '**************************************************
1290 '                THE SEVENTH PAGE
1300 '**************************************************
1310 PRINT : PRINT
1320 PRINT "In the field of biochemical engineering"
1330 PRINT "cells are often cultivated and/or"
1340 PRINT "engineered to produce specific proteins."
1350 PRINT "Unfortunately, many recombinant proteins"
1360 PRINT "do not fold properly, producing "
1370 PRINT "inclusion bodies."
1380 PRINT
1390 PRINT "Inclusion body formation is associated"
1400 PRINT "with alteration of the protein chain, "
1410 PRINT "or strong changes in the cellular"
1420 PRINT "environment such as temperature, pH,"
1430 PRINT "or high protein concentrations."
1440 PRINT
1450 PRINT "To be able to collect desired proteins"
1460 PRINT "they must be denatured and their"
1470 PRINT "native structures must be regenerated."
1480 GOSUB 2330
1490 '****************************************************
1500 '                 THE EIGHTH PAGE
1510 '****************************************************
1520 PRINT : PRINT
1530 PRINT "The size, shape, and composition of the"
1540 PRINT "inclusion body is heavily controlled"
1550 PRINT "by the solubility of the denatured"
1560 PRINT "polypeptide chain."
1570 PRINT
1580 PRINT "In the diagram below, the circle"
1590 PRINT "represents an inclusion body within"
1600 PRINT "a cell.  It is separated from the"
1610 PRINT "cytoplasm, but is not surrounded by"
1620 PRINT "a membrane structure."
1630 PRINT : PRINT : PRINT : PRINT : PRINT : PRINT : PRINT : PRINT : PRINT
1640 CIRCLE (150, 140), 50, 2, , , 1 / 2
1650 CIRCLE (180, 140), 14, 1, , , 2
1660 GOSUB 2330
1670 '****************************************************
1680 '                THE NINTH PAGE
1690 '****************************************************
1700 LOCATE 3, 20
1710 PRINT "THE RECOVERY OF ACTIVE PROTEINS"
1720 LOCATE 5, 10
1730 PRINT "disrupt cells"
1740 FOR A = 6 TO 8
1750   LOCATE A, 15
1760   PRINT CHR$(179)
1770 NEXT A
1780 LOCATE 9, 5
1790 PRINT "collect inclusion bodies"
1800 FOR A = 10 TO 12
1810   LOCATE A, 15
1820   PRINT CHR$(179)
1830 NEXT A
1840 LOCATE 13, 8
1850 PRINT "denature proteins"
1860 FOR A = 14 TO 16
1870   LOCATE A, 15
1880   PRINT CHR$(179)
1890 NEXT A
1900 LOCATE 17, 8
1910 PRINT "add reductant"
1920 LOCATE 18, 5
1930 PRINT "to stop spontaneous"
1940 LOCATE 19, 10
1950 PRINT "reduction"
1960 FOR A = 25 TO 30
1970   LOCATE 18, A
1980   PRINT CHR$(196)
1990 NEXT A
2000 LOCATE 17, 32
2010 PRINT "remove denaturant"
2020 LOCATE 18, 32
2030 PRINT "and reductant"
2040 FOR A = 15 TO 16
2050   LOCATE A, 37
2060   PRINT CHR$(179)
2070 NEXT A
2080 LOCATE 14, 32
2090 PRINT "renature proteins"
2100 FOR A = 11 TO 13
2110   LOCATE A, 37
2120   PRINT CHR$(179)
2130 NEXT A
2140 LOCATE 9, 33
2150 PRINT "purify protein"
2160 LOCATE 10, 35
2170 PRINT "solution"
2180 FOR A = 47 TO 52
2190   LOCATE 9, A
2200   PRINT CHR$(196)
2210 NEXT A
2220 LOCATE 21,2
2230 PRINT "10% product yield or worse"
2240 PRINT " is typical"
2250 GOSUB 2330
2260 '*******************************************************
2270 PRINT : PRINT
2280 CLS
2290 PRINT"Now for review and emphasis on purification
2300 PRINT"by a different student."
2310 GOSUB 2330
2320 GOTO 2370
2330 LOCATE 23,1
2340 INPUT "Press RETURN (enter) to continue";A$
2350 CLS
2360 RETURN
2370 PRINT "This section concerns recovery of proteins
2380 PRINT " from inclusion bodies."
2390 GOSUB 2330
2400 LOCATE 3,11
2410 PRINT "REVIEW OF PROTEIN STRUCTURE"
2420 LOCATE 5,3
2430 PRINT "PRIMARY STRUCTURE - the actual sequence"
2440 LOCATE 6,5
2450 PRINT "of amino acids that make up the"
2460 LOCATE 7,5
2470 PRINT "protein."
2480 LOCATE 10,1
2490 PRINT "SECONDARY STRUCTURE - the shape of the"
2500 LOCATE 11,5
2510 PRINT "amino acid chain, usually a helix."
2520 LOCATE 14,1
2530 PRINT "TERTIARY STRUCTURE - the way the second-"
2540 LOCATE 15,5
2550 PRINT "ary structure 'folds' with itself."
2560 LOCATE 17,1
2570 PRINT "QUATERNARY STRUCTURE - the combination"
2580 LOCATE 18,5
2590 PRINT "of tertiary elements to form a"
2600 LOCATE 19,5
2610 PRINT "larger distinct group."
2620 GOSUB 2330
2630 LOCATE 10,3
2640 PRINT "The overall structure of a protein"
2650 LOCATE 12,3
2660 PRINT "tends to conform to the 'oil drop'"
2670 LOCATE 14,3
2680 PRINT "model, with hydrophobic groups near"
2690 LOCATE 16,3
2700 PRINT "the center of the structure, and"
2710 LOCATE 18,3
2720 PRINT "hydrophillic groups on the surface,"
2730 LOCATE 20,3
2740 PRINT "similar to an oil drop in water."
2750 GOSUB 2330
2760 LOCATE 2,10
2770 PRINT "PROTEIN DENATURATION"
2780 LOCATE 5,3
2790 PRINT "Unfolding is the process of disrup-"
2800 LOCATE 7,3
2810 PRINT "ting the non-covalent interactions"
2820 LOCATE 9,3
2830 PRINT "in the protein with:
2840 LOCATE 13,8
2850 PRINT "1) Heat"
2860 GOSUB 3030
2870 LOCATE 14,8
2880 PRINT "2) KSCN, Potassium Thiocyanate"
2890 GOSUB 3030
2900 LOCATE 15,8
2910 PRINT "3) High salt concentration"
2920 GOSUB 3030
2930 LOCATE 16,8
2940 PRINT "4) Urea"
2950 GOSUB 3030
2960 LOCATE 17,8
2970 PRINT "5) Guanidine * HCl"
2980 GOSUB 3030
2990 LOCATE 18,8
3000 PRINT "6) SDS, Sodium Dodecylsulfate"
3010 GOSUB 2330
3020 GOTO 3060
3030 LOCATE 22,1
3040 INPUT "HIT ENTER";A$
3050 RETURN
3060 LOCATE 2,10
3070 PRINT "PROTEIN DENATURATION"
3080 LOCATE 4,3
3090 PRINT "Reduction is another process for disrupting"
3100 LOCATE 6,3
3110 PRINT "the covalent bonds in the protein;"
3120 LOCATE 8,3
3130 PRINT "most often these are disulfide bonds."
3140 LOCATE 12,3
3150 PRINT "This can be accomplished by using:"
3160 GOSUB 3030
3170 LOCATE 14,8
3180 PRINT "1) -mercapto ethanol"
3190 GOSUB 3030
3200 LOCATE 15,8
3210 PRINT "2) D - dithiothreitol"
3220 GOSUB 3030
3230 LOCATE 18,5
3240 PRINT "R - S-S - R     R - S-H  H-S - R"
3250 LOCATE 20,4
3260 PRINT "Oxidized State     Reduced State"
3270 GOSUB 2330
3280 LOCATE 2,12
3290 PRINT "INCLUSION BODIES"
3300 LOCATE 5,3
3310 PRINT "Inclusion bodies form at high expression"
3320 LOCATE 7,3
3330 PRINT "levels in E. coli, so this species is
3340 LOCATE 9,3
3350 PRINT "often used in genetic engineering."
3360 GOSUB 2330
3370 LOCATE 5,3
3380 PRINT "The distibution of the inclusion body"
3390 LOCATE 7,3
3400 PRINT "in the E. coli cell may be:"
3410 CIRCLE (160,100),60,,,,5/18
3420 CIRCLE (120,100),10
3430 LOCATE 13,15
3440 PRINT "IB"
3450 LOCATE 17,3
3460 PRINT "When the E. coli splits,      "
3470 INPUT A$
3480 LOCATE 11,21
3490 PRINT "/"
3500 LOCATE 12,21
3510 PRINT "\"
3520 LOCATE 13,21
3530 PRINT "/"
3540 LOCATE 14,21
3550 PRINT "\"
3560 LOCATE 15,21
3570 PRINT "/"
3580 LOCATE 17,28
3590 PRINT "the"
3600 LOCATE 19,3
3610 PRINT "inclusion body only goes with one side."
3620 GOSUB 2330
3630 PRINT "To process inclusion bodies:
3640 LOCATE 10,1
3650 PRINT "Step 1 - Disrupt the cells, and use a"
3660 LOCATE 12,10
3670 PRINT "low speed centrifuge to"
3680 LOCATE 14,10
3690 PRINT "concentrate the inclusion bodies."
3700 GOSUB 2330
3710 LOCATE 5,1
3720 PRINT "Step 2 - Disrupt the inclusion bodies,"
3730 LOCATE 7,6
3740 PRINT "usually with guanidine hydrochloride or"
3750 LOCATE 9,6
3760 PRINT "urea. Adding these substances"
3770 LOCATE 11,6
3780 PRINT "will disrupt the secondary"
3790 LOCATE 13,6
3800 PRINT "structure. One must also add a"
3810 LOCATE 15,6
3820 PRINT "reductant to control spontaneous"
3830 LOCATE 17,6
3840 PRINT "oxidation, either -me or D."
3850 GOSUB 2330
3860 LOCATE 5,1
3870 PRINT "Step 3 - Remove the denaturant and"
3880 LOCATE 7,6
3890 PRINT "reductant and"
3900 LOCATE 9,6
3910 PRINT "hope that the protein spontaneously"
3920 LOCATE 11,6
3930 PRINT "refolds and reoxidizes. The major"
3940 LOCATE 13,6
3950 PRINT "loss of the process comes from"
3960 LOCATE 15,6
3970 PRINT "reaggregation of partly folded"
3980 LOCATE 17,6
3990 PRINT "intermediates."
4000 GOSUB 2330
4010 LOCATE 2,15
4020 PRINT "REFOLDING"
4030 LOCATE 5,3
4040 PRINT "Refolding is the correct reconstruc-"
4050 LOCATE 7,3
4060 PRINT "tion of a protein from a denatured"
4070 LOCATE 9,3
4080 PRINT "state. This technology can help one"
4090 LOCATE 11,3
4100 PRINT "find a strategy for minimizing losses"
4110 LOCATE 13,3
4120 PRINT "in step three."
4130 GOSUB 2330
4140 LOCATE 2,15
4150 PRINT "REFOLDING"
4160 LOCATE 5,3
4170 PRINT "In step three, one can either purify"
4180 LOCATE 7,3
4190 PRINT "first or refold first, each have"
4200 LOCATE 9,3
4210 PRINT "advantages and disadvantages depending"
4220 LOCATE 11,3
4230 PRINT "on the conditions. Purifying first"
4240 LOCATE 13,3
4250 PRINT "can get rid of impurities that can"
4260 LOCATE 15,3
4270 PRINT "hinder refolding. However, if the"
4280 LOCATE 17,3
4290 PRINT "purifying agent is too strong, the"
4300 LOCATE 19,3
4310 PRINT "protein can unfold further to an"
4320 LOCATE 21,3
4330 PRINT "unrecoverable state."
4340 GOSUB 2330
4350 LOCATE 2,15
4360 PRINT "REFOLDING"
4370 LOCATE 5,3
4380 PRINT "Refolding first in step three won't"
4390 LOCATE 7,3
4400 PRINT "lose as much protein to incorrect"
4410 LOCATE 9,3
4420 PRINT "refolding or unfolding, but can"
4430 LOCATE 11,3
4440 PRINT "be difficult if there are impurities"
4450 LOCATE 13,3
4460 PRINT "present that hinder refolding."
4470 GOSUB 2330
4480 LOCATE 12,3
4490 PRINT "NOW FOR A BRIFF TRUE/FALSE QUIZ."
4500 GOSUB 2330
4510 LOCATE 5,3
4520 PRINT "The primary structure of a protein"
4530 LOCATE 6,3
4540 INPUT "is the sequence of amino acids.(T/F)";V$
4550 IF V$ = "T" OR V$ = "t" THEN GOTO 4570
4560 GOTO 5090
4570 LOCATE 8,3
4580 PRINT "CORRECT!"
4590 FOR I = 1 TO 1000
4600 NEXT I
4610 CLS
4620 LOCATE 5,3
4630 PRINT "Unfolding is the disruption of"
4640 LOCATE 6,3
4650 INPUT "covalent bonds in the protein.(T/F)";W$
4660 IF W$ = "F" OR W$ = "f" THEN GOTO 4680
4670 GOTO 5150
4680 LOCATE 9,3
4690 PRINT "CORRECT!"
4700 FOR I = 1 TO 1000
4710 NEXT I
4720 CLS
4730 LOCATE 5,3
4740 PRINT "Covalent bonds in the secondary"
4750 LOCATE 6,3
4760 PRINT "structure of a protein are"
4770 LOCATE 7,3
4780 INPUT "usually dinitide bonds. (T/F)";X$
4790 IF X$ = "F" OR X$ = "f" THEN GOTO 4810
4800 GOTO 5230
4810 LOCATE 9,3
4820 PRINT "CORRECT!"
4830 FOR I = 1 TO 1000
4840 NEXT I
4850 CLS
4860 LOCATE 5,3
4870 PRINT "When the cell splits,"
4880 LOCATE 6,3
4890 PRINT "the inclusion body only goes with"
4900 LOCATE 7,3
4910 INPUT "one side of the splitting cell.(T/F)";Y$
4920 IF Y$ = "T" OR Y$ = "t" THEN GOTO 4940
4930 GOTO 5310
4940 PRINT "CORRECT!"
4950 FOR I = 1 TO 1000
4960 NEXT I
4970 CLS
4980 LOCATE 5,3
4990 PRINT "One should always try to purify as"
5000 LOCATE 6,3
5010 INPUT "much as possible before refolding.(T/F)";Z$
5020 IF Z$ = "F" OR Z$ = "f" THEN GOTO 5040
5030 GOTO 5370
5040 LOCATE 9,3
5050 PRINT "CORRECT!"
5060 FOR I = 1 TO 1000
5070 NEXT I
5080 END
5090 CLS
5100 LOCATE 5,3
5110 PRINT "The correct answer is true."
5120 LOCATE 23,1
5130 INPUT "HIT ENTER TO CONTINUE";A$
5140 GOTO 4610
5150 CLS
5160 LOCATE 5,3
5170 PRINT "Unfolding is the disruption of"
5180 LOCATE 7,3
5190 PRINT "NON-covalent bonds."
5200 LOCATE 23,1
5210 INPUT "HIT ENTER TO CONTINUE";A$
5220 GOTO 4720
5230 CLS
5240 LOCATE 5,3
5250 PRINT "Secondary structure bonds are"
5260 LOCATE 7,3
5270 PRINT "disulfide bonds."
5280 LOCATE 23,1
5290 INPUT "HIT ENTER TO CONTINUE";A$
5300 GOTO 4850
5310 CLS
5320 LOCATE 5,3
5330 PRINT "The correct answer is true."
5340 LOCATE 23,1
5350 INPUT "HIT ENTER TO CONTINUE";A$
5360 GOTO 4970
5370 CLS
5380 LOCATE 5,3
5390 PRINT "The correct answer is false."
5400 LOCATE 23,1
5410 INPUT "HIT ENTER TO CONTINUE";A$
5420 GOTO 5080
