1 REM Simulation of oxygen transfer, H. BUNGAY 1987
2 REM SIMBAS ORIG. BY D. STANZIONE, H. BUNGAY
3 REM MORE COMMENTS BY J. SAHLIN
5 DIM I(20), O(20), T0(20), T6(20)
6 KEY OFF: SCREEN 1, 1
7 CLS : XMAX = 320: YMAX = 180
8 GRMAX = XMAX - 30
9 NN = 1
11 REM THIS SECTION MAKES THE AXIS
13 LINE (20, 20)-(20, YMAX - 20)
14 LINE -(XMAX - 10, YMAX - 20)
15 LOCATE 22, 3: PRINT "0        T I M E";
17 NAM$ = "CONCENTRATION"
20 FOR I = 1 TO LEN(NAM$)
21 LOCATE 3 + I, 2: PRINT MID$(NAM$, I, 1)
22 NEXT I
27 REM PUT COEFF IN THIS REGION
34 LOCATE 1, 1
35 INPUT "R= (over about .15 goes negative) "; R
36 IF R = 0 THEN CLS : GOTO 13
37 K2 = 7.5
38 X = 5: KLA = .25
55 REM T1 IS INTEGRATION STEP
56 T1 = .1
57 REM T2 IS TOTAL TIME
58 T2 = 25
59 LOCATE 22, 35: PRINT T2: REM T3 IS PRINT INTERVAL
60 T3 = 1
61 TX = (XMAX - 30) / T2: REM SCALE FAC FOR ABSCISSA
62 TF1 = 15: TF2 = 15
63 FOR N = 0 TO GRMAX STEP GRMAX / T2
64  LINE (20 + N, YMAX - 20)-(20 + N, YMAX - 24), 1
65 NEXT
66 FOR N = 1 TO 7
67 LINE (20, YMAX - 20 - N * TF1)-(25, YMAX - 20 - N * TF1), 1
68 NEXT
79 REM N IS THE NUMBER OF EQUATIONS. O(N) ARE INITIAL CONDITIONS
80 N = 1
85 O(1) = (KLA * K2 - R * X) / KLA
96 REM DO NOT TOUCH LINES 98-620!!! THIS IS WHAT MAKES IT WORK!!!
98 T = INT(T2 / T1 + .5): T1 = T2 / T: T = INT(T3 / T1 + .5): T3 = T * T1: T = 0: T4 = 0
99 T8 = 1: GOTO 1000
100 IF (T - T4 + T1 / 10) < 0 THEN 125
105 REM THE LINE 110 HAS A ' BEFORE THE GOSUB.  THE ' SUPPRESSES THIS COMMAND.
107 REM IF NUMERICAL VALUES FOR THE DATA POINTS ARE DESIRED, REMOVE '.
110 T4 = T4 + T3: T5 = INT(T / T1 + .5): T = T5 * T1: 'GOSUB 2000
115 IF (T - T2 + T1 / 10) < 0 THEN 125
120 LINE (AX, YMAX - 20)-(AX, YMAX - 24)
121 GOTO 34
125 ON T8 GOTO 300, 400, 500, 600
145 PRINT "** ERROR **": STOP
300 FOR T5 = 1 TO N
305 T0(T5) = T1 * I(T5): T6(T5) = O(T5): O(T5) = O(T5) + T0(T5) / 2
320 NEXT T5
330 T = T + T1 / 2: T8 = 2: GOTO 1000
400 FOR T5 = 1 TO N
410 T7 = T1 * I(T5): T0(T5) = T0(T5) + 2 * T7: O(T5) = T6(T5) + T7 / 2
420 NEXT T5
430 T8 = 3: GOTO 1000
500 FOR T5 = 1 TO N
510 T7 = T1 * I(T5): T0(T5) = T0(T5) + 2 * T7: O(T5) = T6(T5) + T7
520 NEXT T5
530 T8 = 4: T = T + T1 / 2: GOTO 1000
600 FOR T5 = 1 TO N
605 O(T5) = T6(T5) + (T0(T5) + T1 * I(T5)) / 6
610 NEXT T5
620 T8 = 1: GOTO 1000
990 REM DIFFERENTIAL EQUATIONS IN SIMBAS NOTATION
1000 IF T < 6 OR T > 12 THEN K1 = KLA ELSE K1 = 0
1010 I(1) = K1 * (K2 - O(1)) - R * X
1015 REM GRAPH MAKER  MULTIPLY O(N) BY CONSTANT TO SHIFT CURVE
1025 AX = 20 + TX * T
1035 PL = YMAX - 20 - O(1) * TF1
1040 PSET (AX, PL), 1
1999 GOTO 100
2000 REM **DATA POINTS: SUPPRESSED AT LINE 110.  SEND TO PRINTER WITH LPRINT
2005 REM **COMMAND ON 2020.
2010 LOCATE NN, 12
2030 NN = NN + 1
2040 IF NN > 12 THEN NN = 1
2045 RETURN

