1 REM M. FRIEDENBURG'S LYSIS PROGRAM USING SIMBAS 1987
2 REM ORIG. BY D. STANZIONE, H. BUNGAY
3 REM MORE COMMENTS BY J. SAHLIN
5 DIM I(20),O(20),T0(20),T6(20)
6 KEY OFF
7 GOSUB 6040
8 CLS
9 NN=1
10 KEY OFF:CLS:NN=1
11 REM THIS SECTION MAKES THE AXIS
12 SCREEN 1,1
13 LINE (20,20)-(20,160)
14 LINE -(280,160)
15 LOCATE 22,3:PRINT"0        T I M E";
17 NAM$="CONC   / Y0"
18 IF LEN(NAM$)>16 GOTO 24
19 V1=3+(14-LEN(NAM$))/2
20 FOR I=1 TO LEN(NAM$)
21 LOCATE V1+I,2:PRINT MID$(NAM$,I,1)
22 NEXT I
23 GOTO 27
24 FOR I=1 TO 16
25 LOCATE 3+I,2:PRINT MID$(NAM$,I,1)
26 NEXT I
27 REM PUT COEFF IN THIS REGION
30 LOCATE 4,2:PRINT"1";
31 LOCATE 2,15: PRINT "White = Yeast";
32 LOCATE 3,15:PRINT "Blue = Protein";
33 LOCATE 4,15:PRINT "Red = Peptides";
34 LOCATE 5,15:PRINT "Dotted = Carbohydrates";
35 KA = .0003987
36 KR = 15.51
37 KM = 1902
38 KP = 4.441
39 KMP = 4598
40 KI = 26077
41 FPY = .4048
42 FSY = .0777
43 FCY = .3687
44 Y0=780:REM IC of Yeast (mg/l)
45 O(1) = Y0
46 O(2)=20:REM IC of protein
47 O(3)=100:REM IC of peptides
48 O(4)=40  :REM IC of carbohydrates
49 E=10  :REM IC enzyme % (v/v)
55 REM T1 IS INTEGRATION STEP
56 T1=1
57 REM T2 IS TOTAL TIME
58 T2=90
59 LOCATE 22,35:PRINT T2:REM T3 IS PRINT INTERVAL
60 T3=1
61 TX=260/T2 :REM SCALE FAC FOR ABSCISSA
63 M1 = Y0 / 130
64 YULT = Y0 * (.36342 - E*.0026584 + Y0*6.0442E-06 - 99.60299/Y0)
79 REM N IS THE NUMBER OF EQUATIONS. O(N) ARE INITIAL CONDITIONS
80 N=4
96 REM DO NOT TOUCH LINES 98-620!!! THIS IS WHAT MAKES IT WORK!!!
98 T=INT(T2/T1+.5):T1=T2/T:T=INT(T3/T1+.5):T3=T*T1:T=0:T4=0
99 T8=1:GOTO 1000
100 IF(T-T4+T1/10)<0 THEN 125
105 REM THE LINE 110 HAS A ' BEFORE THE GOSUB.  THE ' SUPPRESSES THIS COMMAND.
107 REM IF NUMERICAL VALUES FOR THE DATA POINTS ARE DESIRED, REMOVE '.
110 T4=T4+T3:T5=INT(T/T1+.5):T=T5*T1: GOSUB 2000
115 IF(T-T2+T1/10)<0 THEN 125
120 LINE(AX,160)-(AX,164)
121 LOCATE 1,1 :STOP
125 ON T8 GOTO 300,400,500,600
145 PRINT"** ERROR **":STOP
300 FOR T5=1 TO N
305 T0(T5)=T1*I(T5):T6(T5)=O(T5):O(T5)=O(T5)+T0(T5)/2
320 NEXT T5
330 T=T+T1/2:T8=2:GOTO 1000
400 FOR T5=1 TO N
410 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7/2
420 NEXT T5
430 T8=3:GOTO 1000
500 FOR T5=1 TO N
510 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7
520 NEXT T5
530 T8=4:T=T+T1/2:GOTO 1000
600 FOR T5=1 TO N
605 O(T5)=T6(T5)+(T0(T5)+T1*I(T5))/6
610 NEXT T5
620 T8=1:GOTO 1000
990 REM DIFFERENTIAL EQUATIONS IN SIMBAS NOTATION
1000 I(1) = -KA * (O(1)-YULT) - KR*E*(O(1)-YULT)/((O(1)-YULT)+KM)
1020 I(2) = -FPY*I(1) - KP*E*O(2) / ( O(2) + O(3) + KMP * (1+O(1)/KI) )
1030 I(3) = -FSY*I(1) + KP*E*O(2) / ( O(2) + O(3) + KMP * (1+O(1)/KI) )
1040 I(4) = -FCY*I(1)
1050 REM GRAPH MAKER  MULTIPLY O(N) BY CONSTANT TO SHIFT CURVE
1060 AX=20+TX*T
1080 PL=160-O(4)/M1
1090 IF INT(T/2) = T/2 THEN PSET (AX,PL)
1100 PL=160-O(3)/M1
1110 PSET (AX,PL),2
1120 PL=160-O(2)/M1
1130 PSET (AX,PL),1
1140 PL=160-O(1)/M1
1150 PSET (AX,PL)
1999 GOTO 100
2000 REM **DATA POINTS: SUPPRESSED AT LINE 110.  SEND TO PRINTER WITH LPRINT
2005 REM **COMMAND ON 2020.
2910 LOCATE NN,12
2930 NN=NN+1
2940 IF NN>12 THEN NN=1
2999 RETURN
6040 CLS
6045 WIDTH 80
6050 REM "Simple" LYSIS MODEL BY J. B. HUNTER and J. A. ASENJO
6060 REM Separation, Recovery, and Purification in Biotechnology
6070 REM American Chemical Society, Wasington, DC 1986.
6080 REM    ka = Rate Constant for Autolysis         (1/min)
6090 REM    kr = Rate Constant for Lysis             (mg/L-min-%ez)
6100 REM    Km = Michaelis constant for Lysis        (mg/L)
6110 REM    kp = Rate constant for proteolysis       (mg/L-min-%ez)
6120 REM  Kmp = Michaelis constant for proteolysis  (mg/L)
6130 REM   Ki = Inhibition constant for proteolysis (mg Yeast/L)
6140 REM  fpy = Fraction of Protein in Yeast
6150 REM  fsy = Fraction of Peptides in Yeast
6160 REM  fcy = Fraction of Carbohydrates in Yeast
6170 REM   O(1) = Yeast concentration (mg/L)
6180 REM   Y0 = Initial yeast concentration
6190 REM   YULT = Ultimate yeast conc. (A function of residual turbidity)
6200 REM   O(2) = Protein conc. (TCA-insol.) (mg/L)
6210 REM   O(3) = Peptides conc. (TCA-sol.)  (mg/L)
6220 REM   O(4) = Carbohydrates (mg/l)
6230 REM   E = Enzyme, % (v/v) of reaction mixture
6240 PRINT "   This program presents a simple model of the enzymatic lysis "
6250 PRINT "of yeast cells.  Microbial cell-wall-lytic enzymes are presently"
6260 PRINT "used in the lab for cell breakage on a small scale.  There is an"
6270 PRINT "interest in using these cells on an industrial scale to rupture"
6280 PRINT "microbial cells so that accumulated products can be released."
6290 PRINT:PRINT "   This simplified model of cell lysis accounts for the release"
6300 PRINT "of protein, peptides, and carbohydrates from yeast cells.  The"
6310 PRINT "yeast cell lyses through both autolysis and enzymatic lysis."
6320 PRINT "Proteins released from the cell are subject to proteolysis,"
6330 PRINT "degrading them to simple peptides."
6340 PRINT:INPUT "Press =ENTER= to continue ";DUM
6390  CLS
6399 RETURN
